/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/ansi/AnsiStyle.java#1 $
 *
 * Copyright (c) 2011 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.ansi;

/**
 * <a href="http://en.wikipedia.org/wiki/ANSI_escape_code#graphics">ANSI style codes</a>.
 *
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2011/07/06 $
 */
public enum AnsiStyle {

    NORMAL(0),
    BOLD(1),
    FAINT(2),
    UNDERLINE(4),
    BLINK(5),
    INVERSE(7);

    private int code;

    AnsiStyle(int code) {
        this.code = code;
    }

    public int code() {
        return this.code;
    }
}
