/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/MountpointMapper.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

import java.io.File;
import java.util.Map;
import java.util.Set;


/**
 * Object capable of mapping a set of files to their mountpoints
 *
 * @author sirianni
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface MountpointMapper {

    /**
     * Map a set of files to their mountpoints
     *
     * @param files Files to be mapped to their mountpoints
     * @return A Map of File > Mountpoint
     */
    Map<File, File> map(Set<File> files);

}
