/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/windows/FileSystemNativeImpl.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows;

import com.netapp.common.platform.FileOwner;
import com.netapp.common.platform.FileSecurityDescriptor;
import com.netapp.common.platform.JNIException;

public class FileSystemNativeImpl implements FileSystemNative {
    static {
        System.loadLibrary("filesystem");
    }

    @Override
    public native GroupImpl getGroupFromGroupname(String groupname) throws JNIException;
    @Override
    public native UserImpl getUserFromUsername(String username) throws JNIException;
    @Override
    public native void changeOwner(String path, FileOwner owner) throws JNIException;
    @Override
    public native FileSecurityDescriptor getFileSecurityDescriptor(String path) throws JNIException;
    @Override
    public native void setFileSecurityDescriptor(String path, FileSecurityDescriptorImpl descriptor) throws JNIException;
    @Override
    public native boolean canExecute(String path, UserImpl user);
}
