package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("cifs-setup-create-group-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ECIFS_SETUP_CANNOT_WRITE", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class CifsSetupCreateGroupFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}