package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("disk-swap")
@Status(StatusEnum.PUBLIC)
@Errno({"EALREADYSTARTED", "EINTERNALERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "ontap-d"})
public class DiskSwap
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}