package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("iscsi-service-stop")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "ENOTSTARTED"})
@Family({"ontap-c", "vfiler"})
public class IscsiServiceStop
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}