package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("sf-service-disable")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTAKEOVER", "EINTERNALERROR", "ESERVICENOTENABLED", "ESERVICENOTINITIALIZED", "ESERVICENOTLICENSED"})
@Family({"ontap-d"})
public class SfServiceDisable
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}