package com.netapp.filer.software;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("software-async-cancel")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "ENOASYNCOP"})
public class SoftwareAsyncCancel
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}