package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-role-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminRoleAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public UseradminRoleInfo useradminRole;

  @Input("useradmin-role")
  @Type("useradmin-role-info")
  public void setUseradminRole(UseradminRoleInfo paramUseradminRoleInfo)
  {
    this.useradminRole = paramUseradminRoleInfo;
  }

  public UseradminRoleInfo getUseradminRole()
  {
    return this.useradminRole;
  }

  public UseradminRoleAdd withUseradminRole(UseradminRoleInfo paramUseradminRoleInfo)
  {
    this.useradminRole = paramUseradminRoleInfo;
    return this;
  }
}