package com.netapp.snapcreator.agent;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="result", propOrder={"exitCode", "stdout", "stderr", "errorCode", "message", "env"})
@XmlSeeAlso({PingResult.class, QuiesceResult.class, DiscoverResult.class, DescribeResult.class, ScDumpResult.class, CustomResult.class})
public class Result
{

  @XmlElement(name="exit_code")
  protected Integer exitCode;
  protected String stdout;
  protected String stderr;

  @XmlElement(name="error_code")
  protected Integer errorCode;
  protected Message message;
  protected Config env;

  public Integer getExitCode()
  {
    return this.exitCode;
  }

  public void setExitCode(Integer value)
  {
    this.exitCode = value;
  }

  public String getStdout()
  {
    return this.stdout;
  }

  public void setStdout(String value)
  {
    this.stdout = value;
  }

  public String getStderr()
  {
    return this.stderr;
  }

  public void setStderr(String value)
  {
    this.stderr = value;
  }

  public Integer getErrorCode()
  {
    return this.errorCode;
  }

  public void setErrorCode(Integer value)
  {
    this.errorCode = value;
  }

  public Message getMessage()
  {
    return this.message;
  }

  public void setMessage(Message value)
  {
    this.message = value;
  }

  public Config getEnv()
  {
    return this.env;
  }

  public void setEnv(Config value)
  {
    this.env = value;
  }
}