package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminVdcType", propOrder={"resourceGuaranteedMemory", "resourceGuaranteedCpu", "vCpuInMhz", "isThinProvision", "networkPoolReference", "vendorServices", "providerVdcReference", "usesFastProvisioning"})
public class AdminVdcType extends VdcType
{

  @XmlElement(name="ResourceGuaranteedMemory")
  protected Double resourceGuaranteedMemory;

  @XmlElement(name="ResourceGuaranteedCpu")
  protected Double resourceGuaranteedCpu;

  @XmlElement(name="VCpuInMhz")
  protected Long vCpuInMhz;

  @XmlElement(name="IsThinProvision")
  protected Boolean isThinProvision;

  @XmlElement(name="NetworkPoolReference")
  protected ReferenceType networkPoolReference;

  @XmlElement(name="VendorServices")
  protected VendorServicesType vendorServices;

  @XmlElement(name="ProviderVdcReference")
  protected ReferenceType providerVdcReference;

  @XmlElement(name="UsesFastProvisioning")
  protected Boolean usesFastProvisioning;

  public Double getResourceGuaranteedMemory()
  {
    return this.resourceGuaranteedMemory;
  }

  public void setResourceGuaranteedMemory(Double value)
  {
    this.resourceGuaranteedMemory = value;
  }

  public Double getResourceGuaranteedCpu()
  {
    return this.resourceGuaranteedCpu;
  }

  public void setResourceGuaranteedCpu(Double value)
  {
    this.resourceGuaranteedCpu = value;
  }

  public Long getVCpuInMhz()
  {
    return this.vCpuInMhz;
  }

  public void setVCpuInMhz(Long value)
  {
    this.vCpuInMhz = value;
  }

  public Boolean isIsThinProvision()
  {
    return this.isThinProvision;
  }

  public void setIsThinProvision(Boolean value)
  {
    this.isThinProvision = value;
  }

  public ReferenceType getNetworkPoolReference()
  {
    return this.networkPoolReference;
  }

  public void setNetworkPoolReference(ReferenceType value)
  {
    this.networkPoolReference = value;
  }

  public VendorServicesType getVendorServices()
  {
    return this.vendorServices;
  }

  public void setVendorServices(VendorServicesType value)
  {
    this.vendorServices = value;
  }

  public ReferenceType getProviderVdcReference()
  {
    return this.providerVdcReference;
  }

  public void setProviderVdcReference(ReferenceType value)
  {
    this.providerVdcReference = value;
  }

  public Boolean isUsesFastProvisioning()
  {
    return this.usesFastProvisioning;
  }

  public void setUsesFastProvisioning(Boolean value)
  {
    this.usesFastProvisioning = value;
  }
}