package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ControlAccessParamsType", propOrder={"isSharedToEveryone", "everyoneAccessLevel", "accessSettings"})
public class ControlAccessParamsType extends VCloudExtensibleType
{

  @XmlElement(name="IsSharedToEveryone")
  protected boolean isSharedToEveryone;

  @XmlElement(name="EveryoneAccessLevel")
  protected String everyoneAccessLevel;

  @XmlElement(name="AccessSettings")
  protected AccessSettingsType accessSettings;

  public boolean isIsSharedToEveryone()
  {
    return this.isSharedToEveryone;
  }

  public void setIsSharedToEveryone(boolean value)
  {
    this.isSharedToEveryone = value;
  }

  public String getEveryoneAccessLevel()
  {
    return this.everyoneAccessLevel;
  }

  public void setEveryoneAccessLevel(String value)
  {
    this.everyoneAccessLevel = value;
  }

  public AccessSettingsType getAccessSettings()
  {
    return this.accessSettings;
  }

  public void setAccessSettings(AccessSettingsType value)
  {
    this.accessSettings = value;
  }
}