package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DiskAttachOrDetachParamsType", propOrder={"disk", "busNumber", "unitNumber"})
public class DiskAttachOrDetachParamsType extends VCloudExtensibleType
{

  @XmlElement(name="Disk", required=true)
  protected ReferenceType disk;

  @XmlElement(name="BusNumber")
  protected Integer busNumber;

  @XmlElement(name="UnitNumber")
  protected Integer unitNumber;

  public ReferenceType getDisk()
  {
    return this.disk;
  }

  public void setDisk(ReferenceType value)
  {
    this.disk = value;
  }

  public Integer getBusNumber()
  {
    return this.busNumber;
  }

  public void setBusNumber(Integer value)
  {
    this.busNumber = value;
  }

  public Integer getUnitNumber()
  {
    return this.unitNumber;
  }

  public void setUnitNumber(Integer value)
  {
    this.unitNumber = value;
  }
}