package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ErrorType")
public class ErrorType extends VCloudExtensibleType
{

  @XmlAttribute(required=true)
  protected int majorErrorCode;

  @XmlAttribute(required=true)
  protected String message;

  @XmlAttribute(required=true)
  protected String minorErrorCode;

  @XmlAttribute
  protected String stackTrace;

  @XmlAttribute
  protected String vendorSpecificErrorCode;

  public int getMajorErrorCode()
  {
    return this.majorErrorCode;
  }

  public void setMajorErrorCode(int value)
  {
    this.majorErrorCode = value;
  }

  public String getMessage()
  {
    return this.message;
  }

  public void setMessage(String value)
  {
    this.message = value;
  }

  public String getMinorErrorCode()
  {
    return this.minorErrorCode;
  }

  public void setMinorErrorCode(String value)
  {
    this.minorErrorCode = value;
  }

  public String getStackTrace()
  {
    return this.stackTrace;
  }

  public void setStackTrace(String value)
  {
    this.stackTrace = value;
  }

  public String getVendorSpecificErrorCode()
  {
    return this.vendorSpecificErrorCode;
  }

  public void setVendorSpecificErrorCode(String value)
  {
    this.vendorSpecificErrorCode = value;
  }
}