package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayDhcpServiceType", propOrder={"pool"})
public class GatewayDhcpServiceType extends NetworkServiceType
{

  @XmlElement(name="Pool")
  protected List<DhcpPoolServiceType> pool;

  public List<DhcpPoolServiceType> getPool()
  {
    if (this.pool == null) {
      this.pool = new ArrayList();
    }
    return this.pool;
  }
}