package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayType", propOrder={"configuration"})
public class GatewayType extends EntityType
{

  @XmlElement(name="Configuration")
  protected GatewayConfigurationType configuration;

  @XmlAttribute
  protected Integer status;

  public GatewayConfigurationType getConfiguration()
  {
    return this.configuration;
  }

  public void setConfiguration(GatewayConfigurationType value)
  {
    this.configuration = value;
  }

  public Integer getStatus()
  {
    return this.status;
  }

  public void setStatus(Integer value)
  {
    this.status = value;
  }
}