package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpRangesType", propOrder={"ipRange"})
public class IpRangesType extends VCloudExtensibleType
{

  @XmlElement(name="IpRange")
  protected List<IpRangeType> ipRange;

  public List<IpRangeType> getIpRange()
  {
    if (this.ipRange == null) {
      this.ipRange = new ArrayList();
    }
    return this.ipRange;
  }
}