package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LBPoolHealthCheckType", propOrder={"mode", "uri", "healthThreshold", "unhealthThreshold", "interval", "timeout"})
public class LBPoolHealthCheckType extends VCloudExtensibleType
{

  @XmlElement(name="Mode")
  protected String mode;

  @XmlElement(name="Uri")
  protected String uri;

  @XmlElement(name="HealthThreshold")
  protected String healthThreshold;

  @XmlElement(name="UnhealthThreshold")
  protected String unhealthThreshold;

  @XmlElement(name="Interval")
  protected String interval;

  @XmlElement(name="Timeout")
  protected String timeout;

  public String getMode()
  {
    return this.mode;
  }

  public void setMode(String value)
  {
    this.mode = value;
  }

  public String getUri()
  {
    return this.uri;
  }

  public void setUri(String value)
  {
    this.uri = value;
  }

  public String getHealthThreshold()
  {
    return this.healthThreshold;
  }

  public void setHealthThreshold(String value)
  {
    this.healthThreshold = value;
  }

  public String getUnhealthThreshold()
  {
    return this.unhealthThreshold;
  }

  public void setUnhealthThreshold(String value)
  {
    this.unhealthThreshold = value;
  }

  public String getInterval()
  {
    return this.interval;
  }

  public void setInterval(String value)
  {
    this.interval = value;
  }

  public String getTimeout()
  {
    return this.timeout;
  }

  public void setTimeout(String value)
  {
    this.timeout = value;
  }
}