package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LocalityParamsType", propOrder={"resourceEntity"})
public class LocalityParamsType extends VCloudExtensibleType
{

  @XmlElement(name="ResourceEntity")
  protected List<ReferenceType> resourceEntity;

  public List<ReferenceType> getResourceEntity()
  {
    if (this.resourceEntity == null) {
      this.resourceEntity = new ArrayList();
    }
    return this.resourceEntity;
  }
}