package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgGuestPersonalizationSettingsType", propOrder={"domainUsername", "domainPassword", "domainName", "allowDomainSettings", "accountOrganizationalUnit"})
public class OrgGuestPersonalizationSettingsType extends ResourceType
{

  @XmlElement(name="DomainUsername")
  protected String domainUsername;

  @XmlElement(name="DomainPassword")
  protected String domainPassword;

  @XmlElement(name="DomainName")
  protected String domainName;

  @XmlElement(name="AllowDomainSettings")
  protected Boolean allowDomainSettings;

  @XmlElement(name="AccountOrganizationalUnit")
  protected String accountOrganizationalUnit;

  public String getDomainUsername()
  {
    return this.domainUsername;
  }

  public void setDomainUsername(String value)
  {
    this.domainUsername = value;
  }

  public String getDomainPassword()
  {
    return this.domainPassword;
  }

  public void setDomainPassword(String value)
  {
    this.domainPassword = value;
  }

  public String getDomainName()
  {
    return this.domainName;
  }

  public void setDomainName(String value)
  {
    this.domainName = value;
  }

  public Boolean isAllowDomainSettings()
  {
    return this.allowDomainSettings;
  }

  public void setAllowDomainSettings(Boolean value)
  {
    this.allowDomainSettings = value;
  }

  public String getAccountOrganizationalUnit()
  {
    return this.accountOrganizationalUnit;
  }

  public void setAccountOrganizationalUnit(String value)
  {
    this.accountOrganizationalUnit = value;
  }
}