package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultDatastoreProviderVdcRelationRecordType")
public class QueryResultDatastoreProviderVdcRelationRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String datastore;

  @XmlAttribute
  protected String datastoreType;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected String moref;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String providerVdc;

  @XmlAttribute
  protected Float provisionedStorageMB;

  @XmlAttribute
  protected Float requestedStorageMB;

  @XmlAttribute
  protected Float storageMB;

  @XmlAttribute
  protected Float storageUsedMB;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vcName;

  public String getDatastore()
  {
    return this.datastore;
  }

  public void setDatastore(String value)
  {
    this.datastore = value;
  }

  public String getDatastoreType()
  {
    return this.datastoreType;
  }

  public void setDatastoreType(String value)
  {
    this.datastoreType = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public String getMoref()
  {
    return this.moref;
  }

  public void setMoref(String value)
  {
    this.moref = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getProviderVdc()
  {
    return this.providerVdc;
  }

  public void setProviderVdc(String value)
  {
    this.providerVdc = value;
  }

  public Float getProvisionedStorageMB()
  {
    return this.provisionedStorageMB;
  }

  public void setProvisionedStorageMB(Float value)
  {
    this.provisionedStorageMB = value;
  }

  public Float getRequestedStorageMB()
  {
    return this.requestedStorageMB;
  }

  public void setRequestedStorageMB(Float value)
  {
    this.requestedStorageMB = value;
  }

  public Float getStorageMB()
  {
    return this.storageMB;
  }

  public void setStorageMB(Float value)
  {
    this.storageMB = value;
  }

  public Float getStorageUsedMB()
  {
    return this.storageUsedMB;
  }

  public void setStorageUsedMB(Float value)
  {
    this.storageUsedMB = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVcName()
  {
    return this.vcName;
  }

  public void setVcName(String value)
  {
    this.vcName = value;
  }
}