package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultPortgroupRecordType")
public class QueryResultPortgroupRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean isVCEnabled;

  @XmlAttribute
  protected String moref;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String network;

  @XmlAttribute
  protected String networkName;

  @XmlAttribute
  protected String portgroupType;

  @XmlAttribute
  protected Integer scopeType;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vcName;

  public Boolean isIsVCEnabled()
  {
    return this.isVCEnabled;
  }

  public void setIsVCEnabled(Boolean value)
  {
    this.isVCEnabled = value;
  }

  public String getMoref()
  {
    return this.moref;
  }

  public void setMoref(String value)
  {
    this.moref = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNetwork()
  {
    return this.network;
  }

  public void setNetwork(String value)
  {
    this.network = value;
  }

  public String getNetworkName()
  {
    return this.networkName;
  }

  public void setNetworkName(String value)
  {
    this.networkName = value;
  }

  public String getPortgroupType()
  {
    return this.portgroupType;
  }

  public void setPortgroupType(String value)
  {
    this.portgroupType = value;
  }

  public Integer getScopeType()
  {
    return this.scopeType;
  }

  public void setScopeType(Integer value)
  {
    this.scopeType = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVcName()
  {
    return this.vcName;
  }

  public void setVcName(String value)
  {
    this.vcName = value;
  }
}