package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultProviderVdcResourcePoolRelationRecordType")
public class QueryResultProviderVdcResourcePoolRelationRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Long cpuReservationAllocationMhz;

  @XmlAttribute
  protected Long cpuReservationLimitMhz;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isPrimary;

  @XmlAttribute
  protected Long memoryReservationAllocationMB;

  @XmlAttribute
  protected Long memoryReservationLimitMB;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfVMs;

  @XmlAttribute
  protected String providerVdc;

  @XmlAttribute
  protected String resourcePoolMoref;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vcName;

  public Long getCpuReservationAllocationMhz()
  {
    return this.cpuReservationAllocationMhz;
  }

  public void setCpuReservationAllocationMhz(Long value)
  {
    this.cpuReservationAllocationMhz = value;
  }

  public Long getCpuReservationLimitMhz()
  {
    return this.cpuReservationLimitMhz;
  }

  public void setCpuReservationLimitMhz(Long value)
  {
    this.cpuReservationLimitMhz = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsPrimary()
  {
    return this.isPrimary;
  }

  public void setIsPrimary(Boolean value)
  {
    this.isPrimary = value;
  }

  public Long getMemoryReservationAllocationMB()
  {
    return this.memoryReservationAllocationMB;
  }

  public void setMemoryReservationAllocationMB(Long value)
  {
    this.memoryReservationAllocationMB = value;
  }

  public Long getMemoryReservationLimitMB()
  {
    return this.memoryReservationLimitMB;
  }

  public void setMemoryReservationLimitMB(Long value)
  {
    this.memoryReservationLimitMB = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfVMs()
  {
    return this.numberOfVMs;
  }

  public void setNumberOfVMs(Integer value)
  {
    this.numberOfVMs = value;
  }

  public String getProviderVdc()
  {
    return this.providerVdc;
  }

  public void setProviderVdc(String value)
  {
    this.providerVdc = value;
  }

  public String getResourcePoolMoref()
  {
    return this.resourcePoolMoref;
  }

  public void setResourcePoolMoref(String value)
  {
    this.resourcePoolMoref = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVcName()
  {
    return this.vcName;
  }

  public void setVcName(String value)
  {
    this.vcName = value;
  }
}