package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultProviderVdcStorageProfileRecordType")
public class QueryResultProviderVdcStorageProfileRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfConditions;

  @XmlAttribute
  protected String providerVdc;

  @XmlAttribute
  protected String storageProfileMoref;

  @XmlAttribute
  protected Long storageProvisionedMB;

  @XmlAttribute
  protected Long storageRequestedMB;

  @XmlAttribute
  protected Long storageTotalMB;

  @XmlAttribute
  protected Long storageUsedMB;

  @XmlAttribute
  protected String vc;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfConditions()
  {
    return this.numberOfConditions;
  }

  public void setNumberOfConditions(Integer value)
  {
    this.numberOfConditions = value;
  }

  public String getProviderVdc()
  {
    return this.providerVdc;
  }

  public void setProviderVdc(String value)
  {
    this.providerVdc = value;
  }

  public String getStorageProfileMoref()
  {
    return this.storageProfileMoref;
  }

  public void setStorageProfileMoref(String value)
  {
    this.storageProfileMoref = value;
  }

  public Long getStorageProvisionedMB()
  {
    return this.storageProvisionedMB;
  }

  public void setStorageProvisionedMB(Long value)
  {
    this.storageProvisionedMB = value;
  }

  public Long getStorageRequestedMB()
  {
    return this.storageRequestedMB;
  }

  public void setStorageRequestedMB(Long value)
  {
    this.storageRequestedMB = value;
  }

  public Long getStorageTotalMB()
  {
    return this.storageTotalMB;
  }

  public void setStorageTotalMB(Long value)
  {
    this.storageTotalMB = value;
  }

  public Long getStorageUsedMB()
  {
    return this.storageUsedMB;
  }

  public void setStorageUsedMB(Long value)
  {
    this.storageUsedMB = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }
}