package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultRecordsType", propOrder={"record"})
public class QueryResultRecordsType extends ContainerType
{

  @XmlElementRef(name="Record", namespace="http://www.vmware.com/vcloud/v1.5", type=JAXBElement.class)
  protected List<JAXBElement<? extends QueryResultRecordType>> record;

  public List<JAXBElement<? extends QueryResultRecordType>> getRecord()
  {
    if (this.record == null) {
      this.record = new ArrayList();
    }
    return this.record;
  }
}