package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultResourceClassActionRecordType")
public class QueryResultResourceClassActionRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String httpMethod;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String resourceClass;

  @XmlAttribute
  protected String urlPattern;

  public String getHttpMethod()
  {
    return this.httpMethod;
  }

  public void setHttpMethod(String value)
  {
    this.httpMethod = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getResourceClass()
  {
    return this.resourceClass;
  }

  public void setResourceClass(String value)
  {
    this.resourceClass = value;
  }

  public String getUrlPattern()
  {
    return this.urlPattern;
  }

  public void setUrlPattern(String value)
  {
    this.urlPattern = value;
  }
}