package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultResourceClassRecordType")
public class QueryResultResourceClassRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String mimeType;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String nid;

  @XmlAttribute
  protected String service;

  @XmlAttribute
  protected String urlTemplate;

  @XmlAttribute
  protected String urnPattern;

  public String getMimeType()
  {
    return this.mimeType;
  }

  public void setMimeType(String value)
  {
    this.mimeType = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNid()
  {
    return this.nid;
  }

  public void setNid(String value)
  {
    this.nid = value;
  }

  public String getService()
  {
    return this.service;
  }

  public void setService(String value)
  {
    this.service = value;
  }

  public String getUrlTemplate()
  {
    return this.urlTemplate;
  }

  public void setUrlTemplate(String value)
  {
    this.urlTemplate = value;
  }

  public String getUrnPattern()
  {
    return this.urnPattern;
  }

  public void setUrnPattern(String value)
  {
    this.urnPattern = value;
  }
}