package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultResourcePoolVMRecordType")
public class QueryResultResourcePoolVMRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String containerName;

  @XmlAttribute
  protected String guestOs;

  @XmlAttribute
  protected Integer hardwareVersion;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isDeployed;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String status;

  public String getContainerName()
  {
    return this.containerName;
  }

  public void setContainerName(String value)
  {
    this.containerName = value;
  }

  public String getGuestOs()
  {
    return this.guestOs;
  }

  public void setGuestOs(String value)
  {
    this.guestOs = value;
  }

  public Integer getHardwareVersion()
  {
    return this.hardwareVersion;
  }

  public void setHardwareVersion(Integer value)
  {
    this.hardwareVersion = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsDeployed()
  {
    return this.isDeployed;
  }

  public void setIsDeployed(Boolean value)
  {
    this.isDeployed = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }
}