package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultStrandedItemRecordType")
public class QueryResultStrandedItemRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected XMLGregorianCalendar deletionDate;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfPurgeAttempts;

  @XmlAttribute
  protected String parent;

  @XmlAttribute
  protected String parentName;

  @XmlAttribute
  protected String vimObjectType;

  public XMLGregorianCalendar getDeletionDate()
  {
    return this.deletionDate;
  }

  public void setDeletionDate(XMLGregorianCalendar value)
  {
    this.deletionDate = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfPurgeAttempts()
  {
    return this.numberOfPurgeAttempts;
  }

  public void setNumberOfPurgeAttempts(Integer value)
  {
    this.numberOfPurgeAttempts = value;
  }

  public String getParent()
  {
    return this.parent;
  }

  public void setParent(String value)
  {
    this.parent = value;
  }

  public String getParentName()
  {
    return this.parentName;
  }

  public void setParentName(String value)
  {
    this.parentName = value;
  }

  public String getVimObjectType()
  {
    return this.vimObjectType;
  }

  public void setVimObjectType(String value)
  {
    this.vimObjectType = value;
  }
}