package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultStrandedUserRecordType")
public class QueryResultStrandedUserRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String fullName;

  @XmlAttribute
  protected Boolean isInSync;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfDeployedVMs;

  @XmlAttribute
  protected Integer numberOfStoredVMs;

  @XmlAttribute
  protected String org;

  public String getFullName()
  {
    return this.fullName;
  }

  public void setFullName(String value)
  {
    this.fullName = value;
  }

  public Boolean isIsInSync()
  {
    return this.isInSync;
  }

  public void setIsInSync(Boolean value)
  {
    this.isInSync = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfDeployedVMs()
  {
    return this.numberOfDeployedVMs;
  }

  public void setNumberOfDeployedVMs(Integer value)
  {
    this.numberOfDeployedVMs = value;
  }

  public Integer getNumberOfStoredVMs()
  {
    return this.numberOfStoredVMs;
  }

  public void setNumberOfStoredVMs(Integer value)
  {
    this.numberOfStoredVMs = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }
}