package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SupportedHardwareVersionsType", propOrder={"supportedHardwareVersion"})
public class SupportedHardwareVersionsType extends VCloudExtensibleType
{

  @XmlElement(name="SupportedHardwareVersion")
  protected List<String> supportedHardwareVersion;

  public List<String> getSupportedHardwareVersion()
  {
    if (this.supportedHardwareVersion == null) {
      this.supportedHardwareVersion = new ArrayList();
    }
    return this.supportedHardwareVersion;
  }
}