package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VendorTemplateType", propOrder={"name", "id", "vendorTemplateAttributes"})
public class VendorTemplateType extends VCloudExtensibleType
{

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="Id")
  protected String id;

  @XmlElement(name="VendorTemplateAttributes")
  protected List<VendorTemplateAttributesType> vendorTemplateAttributes;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public List<VendorTemplateAttributesType> getVendorTemplateAttributes()
  {
    if (this.vendorTemplateAttributes == null) {
      this.vendorTemplateAttributes = new ArrayList();
    }
    return this.vendorTemplateAttributes;
  }
}