package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RealmType", propOrder={"domain"})
public class RealmType extends VCloudExtensibleType
{

  @XmlElement(name="Domain")
  protected List<String> domain;

  @XmlAttribute
  protected String kdc;

  @XmlAttribute
  protected String name;

  public List<String> getDomain()
  {
    if (this.domain == null) {
      this.domain = new ArrayList();
    }
    return this.domain;
  }

  public String getKdc()
  {
    return this.kdc;
  }

  public void setKdc(String value)
  {
    this.kdc = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }
}