package com.vmware.vcloud.api.rest.schema.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RegisterVimServerParamsType", propOrder={"vimServer", "shieldManager"})
public class RegisterVimServerParamsType
{

  @XmlElement(name="VimServer", required=true)
  protected VimServerType vimServer;

  @XmlElement(name="ShieldManager", required=true)
  protected ShieldManagerType shieldManager;

  public VimServerType getVimServer()
  {
    return this.vimServer;
  }

  public void setVimServer(VimServerType value)
  {
    this.vimServer = value;
  }

  public ShieldManagerType getShieldManager()
  {
    return this.shieldManager;
  }

  public void setShieldManager(ShieldManagerType value)
  {
    this.shieldManager = value;
  }
}