package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ServerType", propOrder={"username", "password", "url"})
public class ServerType extends EntityType
{

  @XmlElement(name="Username", required=true)
  protected String username;

  @XmlElement(name="Password")
  protected String password;

  @XmlElement(name="Url", required=true)
  protected String url;

  public String getUsername()
  {
    return this.username;
  }

  public void setUsername(String value)
  {
    this.username = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }

  public String getUrl()
  {
    return this.url;
  }

  public void setUrl(String value)
  {
    this.url = value;
  }
}