package com.vmware.vcloud.api.rest.schema.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="StrandedItemVimObjectType", propOrder={"errorMessage", "vimObjectRef"})
public class StrandedItemVimObjectType
{

  @XmlElement(name="ErrorMessage")
  protected String errorMessage;

  @XmlElement(name="VimObjectRef", required=true)
  protected VimObjectRefType vimObjectRef;

  @XmlAttribute(required=true)
  protected String name;

  public String getErrorMessage()
  {
    return this.errorMessage;
  }

  public void setErrorMessage(String value)
  {
    this.errorMessage = value;
  }

  public VimObjectRefType getVimObjectRef()
  {
    return this.vimObjectRef;
  }

  public void setVimObjectRef(VimObjectRefType value)
  {
    this.vimObjectRef = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }
}