package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VimObjectRefListType", propOrder={"vimObjectRefs"})
public class VimObjectRefListType extends ResourceType
{

  @XmlElement(name="VimObjectRefs", required=true)
  protected VimObjectRefsType vimObjectRefs;

  public VimObjectRefsType getVimObjectRefs()
  {
    return this.vimObjectRefs;
  }

  public void setVimObjectRefs(VimObjectRefsType value)
  {
    this.vimObjectRefs = value;
  }
}