package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="cimUnsignedShort", namespace="http://schemas.dmtf.org/wbem/wscim/1/common", propOrder={"value"})
public class CimUnsignedShort
{

  @XmlValue
  protected int value;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int value)
  {
    this.value = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}