package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="PropertyConfigurationValue_Type", propOrder={"any"})
public class PropertyConfigurationValueType
{

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String configuration;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String value;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getConfiguration()
  {
    return this.configuration;
  }

  public void setConfiguration(String value)
  {
    this.configuration = value;
  }

  public String getValue()
  {
    return this.value;
  }

  public void setValue(String value)
  {
    this.value = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}