package com.vmware.vcloud.api.rest.schema.ovf.environment;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="Environment_Type", propOrder={"section", "entity", "any"})
public class EnvironmentType
{

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/environment/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlElement(name="Entity")
  protected List<EntityType> entity;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/environment/1")
  protected String id;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public List<EntityType> getEntity()
  {
    if (this.entity == null) {
      this.entity = new ArrayList();
    }
    return this.entity;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getId()
  {
    if (this.id == null) {
      return "";
    }
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}