package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CatalogType", propOrder={"catalogItems", "isPublished"})
public class CatalogType extends EntityType
{

  @XmlElement(name="CatalogItems")
  protected CatalogItemsType catalogItems;

  @XmlElement(name="IsPublished")
  protected Boolean isPublished;

  public CatalogItemsType getCatalogItems()
  {
    return this.catalogItems;
  }

  public void setCatalogItems(CatalogItemsType value)
  {
    this.catalogItems = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }
}