package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DhcpServiceType", propOrder={"isEnabled", "defaultLeaseTime", "maxLeaseTime", "ipRange"})
public class DhcpServiceType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="DefaultLeaseTime")
  protected Integer defaultLeaseTime;

  @XmlElement(name="MaxLeaseTime")
  protected Integer maxLeaseTime;

  @XmlElement(name="IpRange")
  protected IpRangeType ipRange;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Integer getDefaultLeaseTime()
  {
    return this.defaultLeaseTime;
  }

  public void setDefaultLeaseTime(Integer value)
  {
    this.defaultLeaseTime = value;
  }

  public Integer getMaxLeaseTime()
  {
    return this.maxLeaseTime;
  }

  public void setMaxLeaseTime(Integer value)
  {
    this.maxLeaseTime = value;
  }

  public IpRangeType getIpRange()
  {
    return this.ipRange;
  }

  public void setIpRange(IpRangeType value)
  {
    this.ipRange = value;
  }
}