package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum FenceModeValuesType
{
  BRIDGED("bridged"), 

  ISOLATED("isolated"), 

  NAT_ROUTED("natRouted");

  private final String value;

  private FenceModeValuesType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static FenceModeValuesType fromValue(String v) {
    for (FenceModeValuesType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}