package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="FileType")
public class FileType extends EntityType
{

  @XmlAttribute
  protected Long bytesTransferred;

  @XmlAttribute
  @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
  protected String checksum;

  @XmlAttribute
  protected Long size;

  public Long getBytesTransferred()
  {
    return this.bytesTransferred;
  }

  public void setBytesTransferred(Long value)
  {
    this.bytesTransferred = value;
  }

  public String getChecksum()
  {
    return this.checksum;
  }

  public void setChecksum(String value)
  {
    this.checksum = value;
  }

  public Long getSize()
  {
    return this.size;
  }

  public void setSize(Long value)
  {
    this.size = value;
  }
}