package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum FirewallPolicyType
{
  DROP("drop"), 

  ALLOW("allow");

  private final String value;

  private FirewallPolicyType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static FirewallPolicyType fromValue(String v) {
    for (FirewallPolicyType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}