package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="FirewallServiceType", propOrder={"isEnabled", "firewallRule"})
public class FirewallServiceType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="FirewallRule")
  protected List<FirewallRuleType> firewallRule;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public List<FirewallRuleType> getFirewallRule()
  {
    if (this.firewallRule == null) {
      this.firewallRule = new ArrayList();
    }
    return this.firewallRule;
  }
}