package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GroupType", propOrder={"nameInSource", "usersList", "role"})
public class GroupType extends EntityType
{

  @XmlElement(name="NameInSource")
  protected String nameInSource;

  @XmlElement(name="UsersList")
  protected UsersListType usersList;

  @XmlElement(name="Role")
  protected ReferenceType role;

  public String getNameInSource()
  {
    return this.nameInSource;
  }

  public void setNameInSource(String value)
  {
    this.nameInSource = value;
  }

  public UsersListType getUsersList()
  {
    return this.usersList;
  }

  public void setUsersList(UsersListType value)
  {
    this.usersList = value;
  }

  public ReferenceType getRole()
  {
    return this.role;
  }

  public void setRole(ReferenceType value)
  {
    this.role = value;
  }
}