package com.vmware.vcloud.api.rest.schema_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory
{
  private static final QName _CloneVAppTemplateParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "CloneVAppTemplateParams");
  private static final QName _NetworkAssignment_QNAME = new QName("http://www.vmware.com/vcloud/v1", "NetworkAssignment");
  private static final QName _VCloud_QNAME = new QName("http://www.vmware.com/vcloud/v1", "VCloud");
  private static final QName _InstantiateVAppTemplateParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "InstantiateVAppTemplateParams");
  private static final QName _TasksList_QNAME = new QName("http://www.vmware.com/vcloud/v1", "TasksList");
  private static final QName _UndeployVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "UndeployVAppParams");
  private static final QName _ControlAccessParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "ControlAccessParams");
  private static final QName _InstantiateOvfParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "InstantiateOvfParams");
  private static final QName _VmQuestionAnswer_QNAME = new QName("http://www.vmware.com/vcloud/v1", "VmQuestionAnswer");
  private static final QName _CustomizationSection_QNAME = new QName("http://www.vmware.com/vcloud/v1", "CustomizationSection");
  private static final QName _CloneMediaParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "CloneMediaParams");
  private static final QName _Media_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Media");
  private static final QName _GuestCustomizationSection_QNAME = new QName("http://www.vmware.com/vcloud/v1", "GuestCustomizationSection");
  private static final QName _VAppTemplate_QNAME = new QName("http://www.vmware.com/vcloud/v1", "VAppTemplate");
  private static final QName _Org_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Org");
  private static final QName _ProviderVdc_QNAME = new QName("http://www.vmware.com/vcloud/v1", "ProviderVdc");
  private static final QName _MediaInsertOrEjectParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "MediaInsertOrEjectParams");
  private static final QName _CloneVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "CloneVAppParams");
  private static final QName _ScreenTicket_QNAME = new QName("http://www.vmware.com/vcloud/v1", "ScreenTicket");
  private static final QName _PublishCatalogParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "PublishCatalogParams");
  private static final QName _RecomposeVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "RecomposeVAppParams");
  private static final QName _UploadVAppTemplateParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "UploadVAppTemplateParams");
  private static final QName _NetworkConfigSection_QNAME = new QName("http://www.vmware.com/vcloud/v1", "NetworkConfigSection");
  private static final QName _Error_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Error");
  private static final QName _VApp_QNAME = new QName("http://www.vmware.com/vcloud/v1", "VApp");
  private static final QName _File_QNAME = new QName("http://www.vmware.com/vcloud/v1", "File");
  private static final QName _DeployVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "DeployVAppParams");
  private static final QName _Owner_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Owner");
  private static final QName _Catalog_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Catalog");
  private static final QName _Item_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Item");
  private static final QName _AllEULAsAccepted_QNAME = new QName("http://www.vmware.com/vcloud/v1", "AllEULAsAccepted");
  private static final QName _Group_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Group");
  private static final QName _User_QNAME = new QName("http://www.vmware.com/vcloud/v1", "User");
  private static final QName _Task_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Task");
  private static final QName _ComposeVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "ComposeVAppParams");
  private static final QName _NetworkConnection_QNAME = new QName("http://www.vmware.com/vcloud/v1", "NetworkConnection");
  private static final QName _ExternalNetwork_QNAME = new QName("http://www.vmware.com/vcloud/v1", "ExternalNetwork");
  private static final QName _CaptureVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/v1", "CaptureVAppParams");
  private static final QName _LeaseSettingsSection_QNAME = new QName("http://www.vmware.com/vcloud/v1", "LeaseSettingsSection");
  private static final QName _Vdc_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Vdc");
  private static final QName _AdminOrg_QNAME = new QName("http://www.vmware.com/vcloud/v1", "AdminOrg");
  private static final QName _CatalogItem_QNAME = new QName("http://www.vmware.com/vcloud/v1", "CatalogItem");
  private static final QName _OrgNetwork_QNAME = new QName("http://www.vmware.com/vcloud/v1", "OrgNetwork");
  private static final QName _OrgList_QNAME = new QName("http://www.vmware.com/vcloud/v1", "OrgList");
  private static final QName _VdcReferences_QNAME = new QName("http://www.vmware.com/vcloud/v1", "VdcReferences");
  private static final QName _VmPendingQuestion_QNAME = new QName("http://www.vmware.com/vcloud/v1", "VmPendingQuestion");
  private static final QName _Role_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Role");
  private static final QName _Link_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Link");
  private static final QName _RasdItemsList_QNAME = new QName("http://www.vmware.com/vcloud/v1", "RasdItemsList");
  private static final QName _ResourceEntity_QNAME = new QName("http://www.vmware.com/vcloud/v1", "ResourceEntity");
  private static final QName _Vm_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Vm");
  private static final QName _NetworkConnectionSection_QNAME = new QName("http://www.vmware.com/vcloud/v1", "NetworkConnectionSection");
  private static final QName _AdminVdc_QNAME = new QName("http://www.vmware.com/vcloud/v1", "AdminVdc");
  private static final QName _Right_QNAME = new QName("http://www.vmware.com/vcloud/v1", "Right");

  public TaskType createTaskType()
  {
    return new TaskType();
  }

  public ResourceEntityType createResourceEntityType()
  {
    return new ResourceEntityType();
  }

  public ProviderVdcReferencesType createProviderVdcReferencesType()
  {
    return new ProviderVdcReferencesType();
  }

  public CompositionItemParamType createCompositionItemParamType()
  {
    return new CompositionItemParamType();
  }

  public NetworkConfigurationType createNetworkConfigurationType()
  {
    return new NetworkConfigurationType();
  }

  public ProviderVdcType createProviderVdcType()
  {
    return new ProviderVdcType();
  }

  public IpScopeType createIpScopeType()
  {
    return new IpScopeType();
  }

  public UploadVAppTemplateParamsType createUploadVAppTemplateParamsType()
  {
    return new UploadVAppTemplateParamsType();
  }

  public IpRangeType createIpRangeType()
  {
    return new IpRangeType();
  }

  public ErrorType createErrorType()
  {
    return new ErrorType();
  }

  public VdcReferencesType createVdcReferencesType()
  {
    return new VdcReferencesType();
  }

  public ComposeVAppParamsType createComposeVAppParamsType()
  {
    return new ComposeVAppParamsType();
  }

  public RoleReferencesType createRoleReferencesType()
  {
    return new RoleReferencesType();
  }

  public FirewallRuleProtocols createFirewallRuleProtocols()
  {
    return new FirewallRuleProtocols();
  }

  public InstantiateOvfParamsType createInstantiateOvfParamsType()
  {
    return new InstantiateOvfParamsType();
  }

  public RootComputeCapacityType createRootComputeCapacityType()
  {
    return new RootComputeCapacityType();
  }

  public VdcType createVdcType()
  {
    return new VdcType();
  }

  public ComputeCapacityType createComputeCapacityType()
  {
    return new ComputeCapacityType();
  }

  public VAppNetworkConfigurationType createVAppNetworkConfigurationType()
  {
    return new VAppNetworkConfigurationType();
  }

  public AvailableNetworksType createAvailableNetworksType()
  {
    return new AvailableNetworksType();
  }

  public NetworkPoolType createNetworkPoolType()
  {
    return new NetworkPoolType();
  }

  public TasksInProgressType createTasksInProgressType()
  {
    return new TasksInProgressType();
  }

  public VCloudType createVCloudType()
  {
    return new VCloudType();
  }

  public OrgLdapSettingsType createOrgLdapSettingsType()
  {
    return new OrgLdapSettingsType();
  }

  public NetworkPoolReferencesType createNetworkPoolReferencesType()
  {
    return new NetworkPoolReferencesType();
  }

  public ResourceReferenceType createResourceReferenceType()
  {
    return new ResourceReferenceType();
  }

  public VAppType createVAppType()
  {
    return new VAppType();
  }

  public CatalogItemsType createCatalogItemsType()
  {
    return new CatalogItemsType();
  }

  public PropertyType createPropertyType()
  {
    return new PropertyType();
  }

  public RasdItemsListType createRasdItemsListType()
  {
    return new RasdItemsListType();
  }

  public IpAddressesType createIpAddressesType()
  {
    return new IpAddressesType();
  }

  public MediaInsertOrEjectParamsType createMediaInsertOrEjectParamsType()
  {
    return new MediaInsertOrEjectParamsType();
  }

  public OrganizationReferenceType createOrganizationReferenceType()
  {
    return new OrganizationReferenceType();
  }

  public CapacityWithUsageType createCapacityWithUsageType()
  {
    return new CapacityWithUsageType();
  }

  public FilesListType createFilesListType()
  {
    return new FilesListType();
  }

  public CloneMediaParamsType createCloneMediaParamsType()
  {
    return new CloneMediaParamsType();
  }

  public OrgNetworkType createOrgNetworkType()
  {
    return new OrgNetworkType();
  }

  public GroupsListType createGroupsListType()
  {
    return new GroupsListType();
  }

  public ReferenceType createReferenceType()
  {
    return new ReferenceType();
  }

  public NatRuleType createNatRuleType()
  {
    return new NatRuleType();
  }

  public NetworkAssignmentType createNetworkAssignmentType()
  {
    return new NetworkAssignmentType();
  }

  public VdcsType createVdcsType()
  {
    return new VdcsType();
  }

  public LinkType createLinkType()
  {
    return new LinkType();
  }

  public AdminVdcType createAdminVdcType()
  {
    return new AdminVdcType();
  }

  public TasksListType createTasksListType()
  {
    return new TasksListType();
  }

  public CustomizationSectionType createCustomizationSectionType()
  {
    return new CustomizationSectionType();
  }

  public UsersListType createUsersListType()
  {
    return new UsersListType();
  }

  public OrganizationReferencesType createOrganizationReferencesType()
  {
    return new OrganizationReferencesType();
  }

  public OrgType createOrgType()
  {
    return new OrgType();
  }

  public ControlAccessParamsType createControlAccessParamsType()
  {
    return new ControlAccessParamsType();
  }

  public ExternalNetworkType createExternalNetworkType()
  {
    return new ExternalNetworkType();
  }

  public CaptureVAppParamsType createCaptureVAppParamsType()
  {
    return new CaptureVAppParamsType();
  }

  public NetworkFeaturesType createNetworkFeaturesType()
  {
    return new NetworkFeaturesType();
  }

  public NatOneToOneVmRuleType createNatOneToOneVmRuleType()
  {
    return new NatOneToOneVmRuleType();
  }

  public NatPortForwardingRuleType createNatPortForwardingRuleType()
  {
    return new NatPortForwardingRuleType();
  }

  public VmQuestionAnswerType createVmQuestionAnswerType()
  {
    return new VmQuestionAnswerType();
  }

  public VmType createVmType()
  {
    return new VmType();
  }

  public GuestCustomizationSectionType createGuestCustomizationSectionType()
  {
    return new GuestCustomizationSectionType();
  }

  public ProviderVdcCapacityType createProviderVdcCapacityType()
  {
    return new ProviderVdcCapacityType();
  }

  public CapacityType createCapacityType()
  {
    return new CapacityType();
  }

  public UndeployVAppParamsType createUndeployVAppParamsType()
  {
    return new UndeployVAppParamsType();
  }

  public RightReferencesType createRightReferencesType()
  {
    return new RightReferencesType();
  }

  public NatServiceType createNatServiceType()
  {
    return new NatServiceType();
  }

  public DeployVAppParamsType createDeployVAppParamsType()
  {
    return new DeployVAppParamsType();
  }

  public OwnerType createOwnerType()
  {
    return new OwnerType();
  }

  public DhcpServiceType createDhcpServiceType()
  {
    return new DhcpServiceType();
  }

  public IpRangesType createIpRangesType()
  {
    return new IpRangesType();
  }

  public VCloudExtensionType createVCloudExtensionType()
  {
    return new VCloudExtensionType();
  }

  public NatVmRuleType createNatVmRuleType()
  {
    return new NatVmRuleType();
  }

  public CatalogsListType createCatalogsListType()
  {
    return new CatalogsListType();
  }

  public OrgListType createOrgListType()
  {
    return new OrgListType();
  }

  public InstantiateVAppTemplateParamsType createInstantiateVAppTemplateParamsType()
  {
    return new InstantiateVAppTemplateParamsType();
  }

  public OrgLeaseSettingsType createOrgLeaseSettingsType()
  {
    return new OrgLeaseSettingsType();
  }

  public NetworkConnectionType createNetworkConnectionType()
  {
    return new NetworkConnectionType();
  }

  public SmtpServerSettingsType createSmtpServerSettingsType()
  {
    return new SmtpServerSettingsType();
  }

  public Protocols createProtocols()
  {
    return new Protocols();
  }

  public InstantiateVAppParamsType createInstantiateVAppParamsType()
  {
    return new InstantiateVAppParamsType();
  }

  public AccessSettingType createAccessSettingType()
  {
    return new AccessSettingType();
  }

  public OrgEmailSettingsType createOrgEmailSettingsType()
  {
    return new OrgEmailSettingsType();
  }

  public VAppChildrenType createVAppChildrenType()
  {
    return new VAppChildrenType();
  }

  public NatOneToOneBasicRuleType createNatOneToOneBasicRuleType()
  {
    return new NatOneToOneBasicRuleType();
  }

  public CatalogItemType createCatalogItemType()
  {
    return new CatalogItemType();
  }

  public EntityType createEntityType()
  {
    return new EntityType();
  }

  public AccessSettingsType createAccessSettingsType()
  {
    return new AccessSettingsType();
  }

  public NetworksType createNetworksType()
  {
    return new NetworksType();
  }

  public VmQuestionAnswerChoiceType createVmQuestionAnswerChoiceType()
  {
    return new VmQuestionAnswerChoiceType();
  }

  public ScreenTicketType createScreenTicketType()
  {
    return new ScreenTicketType();
  }

  public RoleType createRoleType()
  {
    return new RoleType();
  }

  public ParamsType createParamsType()
  {
    return new ParamsType();
  }

  public RecomposeVAppParamsType createRecomposeVAppParamsType()
  {
    return new RecomposeVAppParamsType();
  }

  public AdminOrgType createAdminOrgType()
  {
    return new AdminOrgType();
  }

  public OrgLdapGroupAttributesType createOrgLdapGroupAttributesType()
  {
    return new OrgLdapGroupAttributesType();
  }

  public OrgSettingsType createOrgSettingsType()
  {
    return new OrgSettingsType();
  }

  public ResourceType createResourceType()
  {
    return new ResourceType();
  }

  public FirewallRuleType createFirewallRuleType()
  {
    return new FirewallRuleType();
  }

  public UserType createUserType()
  {
    return new UserType();
  }

  public CloneVAppTemplateParamsType createCloneVAppTemplateParamsType()
  {
    return new CloneVAppTemplateParamsType();
  }

  public CatalogType createCatalogType()
  {
    return new CatalogType();
  }

  public StorageCapacityType createStorageCapacityType()
  {
    return new StorageCapacityType();
  }

  public NetworkConfigSectionType createNetworkConfigSectionType()
  {
    return new NetworkConfigSectionType();
  }

  public VAppTemplateType createVAppTemplateType()
  {
    return new VAppTemplateType();
  }

  public PublishCatalogParamsType createPublishCatalogParamsType()
  {
    return new PublishCatalogParamsType();
  }

  public ResourceEntitiesType createResourceEntitiesType()
  {
    return new ResourceEntitiesType();
  }

  public InstantiationParamsType createInstantiationParamsType()
  {
    return new InstantiationParamsType();
  }

  public CloneVAppParamsType createCloneVAppParamsType()
  {
    return new CloneVAppParamsType();
  }

  public FileType createFileType()
  {
    return new FileType();
  }

  public LeaseSettingsSectionType createLeaseSettingsSectionType()
  {
    return new LeaseSettingsSectionType();
  }

  public VAppTemplateChildrenType createVAppTemplateChildrenType()
  {
    return new VAppTemplateChildrenType();
  }

  public GroupType createGroupType()
  {
    return new GroupType();
  }

  public VmPendingQuestionType createVmPendingQuestionType()
  {
    return new VmPendingQuestionType();
  }

  public NetworkConnectionSectionType createNetworkConnectionSectionType()
  {
    return new NetworkConnectionSectionType();
  }

  public MediaType createMediaType()
  {
    return new MediaType();
  }

  public RightType createRightType()
  {
    return new RightType();
  }

  public FirewallServiceType createFirewallServiceType()
  {
    return new FirewallServiceType();
  }

  public OrgLdapUserAttributesType createOrgLdapUserAttributesType()
  {
    return new OrgLdapUserAttributesType();
  }

  public VAppCreationParamsType createVAppCreationParamsType()
  {
    return new VAppCreationParamsType();
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="CloneVAppTemplateParams")
  public JAXBElement<CloneVAppTemplateParamsType> createCloneVAppTemplateParams(CloneVAppTemplateParamsType value)
  {
    return new JAXBElement(_CloneVAppTemplateParams_QNAME, CloneVAppTemplateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="NetworkAssignment")
  public JAXBElement<NetworkAssignmentType> createNetworkAssignment(NetworkAssignmentType value)
  {
    return new JAXBElement(_NetworkAssignment_QNAME, NetworkAssignmentType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="VCloud")
  public JAXBElement<VCloudType> createVCloud(VCloudType value)
  {
    return new JAXBElement(_VCloud_QNAME, VCloudType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="InstantiateVAppTemplateParams")
  public JAXBElement<InstantiateVAppTemplateParamsType> createInstantiateVAppTemplateParams(InstantiateVAppTemplateParamsType value)
  {
    return new JAXBElement(_InstantiateVAppTemplateParams_QNAME, InstantiateVAppTemplateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="TasksList")
  public JAXBElement<TasksListType> createTasksList(TasksListType value)
  {
    return new JAXBElement(_TasksList_QNAME, TasksListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="UndeployVAppParams")
  public JAXBElement<UndeployVAppParamsType> createUndeployVAppParams(UndeployVAppParamsType value)
  {
    return new JAXBElement(_UndeployVAppParams_QNAME, UndeployVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="ControlAccessParams")
  public JAXBElement<ControlAccessParamsType> createControlAccessParams(ControlAccessParamsType value)
  {
    return new JAXBElement(_ControlAccessParams_QNAME, ControlAccessParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="InstantiateOvfParams")
  public JAXBElement<InstantiateOvfParamsType> createInstantiateOvfParams(InstantiateOvfParamsType value)
  {
    return new JAXBElement(_InstantiateOvfParams_QNAME, InstantiateOvfParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="VmQuestionAnswer")
  public JAXBElement<VmQuestionAnswerType> createVmQuestionAnswer(VmQuestionAnswerType value)
  {
    return new JAXBElement(_VmQuestionAnswer_QNAME, VmQuestionAnswerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="CustomizationSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<CustomizationSectionType> createCustomizationSection(CustomizationSectionType value)
  {
    return new JAXBElement(_CustomizationSection_QNAME, CustomizationSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="CloneMediaParams")
  public JAXBElement<CloneMediaParamsType> createCloneMediaParams(CloneMediaParamsType value)
  {
    return new JAXBElement(_CloneMediaParams_QNAME, CloneMediaParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Media")
  public JAXBElement<MediaType> createMedia(MediaType value)
  {
    return new JAXBElement(_Media_QNAME, MediaType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="GuestCustomizationSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<GuestCustomizationSectionType> createGuestCustomizationSection(GuestCustomizationSectionType value)
  {
    return new JAXBElement(_GuestCustomizationSection_QNAME, GuestCustomizationSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="VAppTemplate")
  public JAXBElement<VAppTemplateType> createVAppTemplate(VAppTemplateType value)
  {
    return new JAXBElement(_VAppTemplate_QNAME, VAppTemplateType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Org")
  public JAXBElement<OrgType> createOrg(OrgType value)
  {
    return new JAXBElement(_Org_QNAME, OrgType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="ProviderVdc")
  public JAXBElement<ProviderVdcType> createProviderVdc(ProviderVdcType value)
  {
    return new JAXBElement(_ProviderVdc_QNAME, ProviderVdcType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="MediaInsertOrEjectParams")
  public JAXBElement<MediaInsertOrEjectParamsType> createMediaInsertOrEjectParams(MediaInsertOrEjectParamsType value)
  {
    return new JAXBElement(_MediaInsertOrEjectParams_QNAME, MediaInsertOrEjectParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="CloneVAppParams")
  public JAXBElement<CloneVAppParamsType> createCloneVAppParams(CloneVAppParamsType value)
  {
    return new JAXBElement(_CloneVAppParams_QNAME, CloneVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="ScreenTicket")
  public JAXBElement<ScreenTicketType> createScreenTicket(ScreenTicketType value)
  {
    return new JAXBElement(_ScreenTicket_QNAME, ScreenTicketType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="PublishCatalogParams")
  public JAXBElement<PublishCatalogParamsType> createPublishCatalogParams(PublishCatalogParamsType value)
  {
    return new JAXBElement(_PublishCatalogParams_QNAME, PublishCatalogParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="RecomposeVAppParams")
  public JAXBElement<RecomposeVAppParamsType> createRecomposeVAppParams(RecomposeVAppParamsType value)
  {
    return new JAXBElement(_RecomposeVAppParams_QNAME, RecomposeVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="UploadVAppTemplateParams")
  public JAXBElement<UploadVAppTemplateParamsType> createUploadVAppTemplateParams(UploadVAppTemplateParamsType value)
  {
    return new JAXBElement(_UploadVAppTemplateParams_QNAME, UploadVAppTemplateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="NetworkConfigSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<NetworkConfigSectionType> createNetworkConfigSection(NetworkConfigSectionType value)
  {
    return new JAXBElement(_NetworkConfigSection_QNAME, NetworkConfigSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Error")
  public JAXBElement<ErrorType> createError(ErrorType value)
  {
    return new JAXBElement(_Error_QNAME, ErrorType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="VApp")
  public JAXBElement<VAppType> createVApp(VAppType value)
  {
    return new JAXBElement(_VApp_QNAME, VAppType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="File")
  public JAXBElement<FileType> createFile(FileType value)
  {
    return new JAXBElement(_File_QNAME, FileType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="DeployVAppParams")
  public JAXBElement<DeployVAppParamsType> createDeployVAppParams(DeployVAppParamsType value)
  {
    return new JAXBElement(_DeployVAppParams_QNAME, DeployVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Owner")
  public JAXBElement<OwnerType> createOwner(OwnerType value)
  {
    return new JAXBElement(_Owner_QNAME, OwnerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Catalog")
  public JAXBElement<CatalogType> createCatalog(CatalogType value)
  {
    return new JAXBElement(_Catalog_QNAME, CatalogType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Item")
  public JAXBElement<RASDType> createItem(RASDType value)
  {
    return new JAXBElement(_Item_QNAME, RASDType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="AllEULAsAccepted")
  public JAXBElement<Boolean> createAllEULAsAccepted(Boolean value)
  {
    return new JAXBElement(_AllEULAsAccepted_QNAME, Boolean.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Group")
  public JAXBElement<GroupType> createGroup(GroupType value)
  {
    return new JAXBElement(_Group_QNAME, GroupType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="User")
  public JAXBElement<UserType> createUser(UserType value)
  {
    return new JAXBElement(_User_QNAME, UserType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Task")
  public JAXBElement<TaskType> createTask(TaskType value)
  {
    return new JAXBElement(_Task_QNAME, TaskType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="ComposeVAppParams")
  public JAXBElement<ComposeVAppParamsType> createComposeVAppParams(ComposeVAppParamsType value)
  {
    return new JAXBElement(_ComposeVAppParams_QNAME, ComposeVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="NetworkConnection")
  public JAXBElement<NetworkConnectionType> createNetworkConnection(NetworkConnectionType value)
  {
    return new JAXBElement(_NetworkConnection_QNAME, NetworkConnectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="ExternalNetwork")
  public JAXBElement<ExternalNetworkType> createExternalNetwork(ExternalNetworkType value)
  {
    return new JAXBElement(_ExternalNetwork_QNAME, ExternalNetworkType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="CaptureVAppParams")
  public JAXBElement<CaptureVAppParamsType> createCaptureVAppParams(CaptureVAppParamsType value)
  {
    return new JAXBElement(_CaptureVAppParams_QNAME, CaptureVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="LeaseSettingsSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<LeaseSettingsSectionType> createLeaseSettingsSection(LeaseSettingsSectionType value)
  {
    return new JAXBElement(_LeaseSettingsSection_QNAME, LeaseSettingsSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Vdc")
  public JAXBElement<VdcType> createVdc(VdcType value)
  {
    return new JAXBElement(_Vdc_QNAME, VdcType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="AdminOrg")
  public JAXBElement<AdminOrgType> createAdminOrg(AdminOrgType value)
  {
    return new JAXBElement(_AdminOrg_QNAME, AdminOrgType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="CatalogItem")
  public JAXBElement<CatalogItemType> createCatalogItem(CatalogItemType value)
  {
    return new JAXBElement(_CatalogItem_QNAME, CatalogItemType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="OrgNetwork")
  public JAXBElement<OrgNetworkType> createOrgNetwork(OrgNetworkType value)
  {
    return new JAXBElement(_OrgNetwork_QNAME, OrgNetworkType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="OrgList")
  public JAXBElement<OrgListType> createOrgList(OrgListType value)
  {
    return new JAXBElement(_OrgList_QNAME, OrgListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="VdcReferences")
  public JAXBElement<VdcReferencesType> createVdcReferences(VdcReferencesType value)
  {
    return new JAXBElement(_VdcReferences_QNAME, VdcReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="VmPendingQuestion")
  public JAXBElement<VmPendingQuestionType> createVmPendingQuestion(VmPendingQuestionType value)
  {
    return new JAXBElement(_VmPendingQuestion_QNAME, VmPendingQuestionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Role")
  public JAXBElement<RoleType> createRole(RoleType value)
  {
    return new JAXBElement(_Role_QNAME, RoleType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Link")
  public JAXBElement<LinkType> createLink(LinkType value)
  {
    return new JAXBElement(_Link_QNAME, LinkType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="RasdItemsList")
  public JAXBElement<RasdItemsListType> createRasdItemsList(RasdItemsListType value)
  {
    return new JAXBElement(_RasdItemsList_QNAME, RasdItemsListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="ResourceEntity")
  public JAXBElement<ResourceEntityType> createResourceEntity(ResourceEntityType value)
  {
    return new JAXBElement(_ResourceEntity_QNAME, ResourceEntityType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Vm")
  public JAXBElement<VmType> createVm(VmType value)
  {
    return new JAXBElement(_Vm_QNAME, VmType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="NetworkConnectionSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/envelope/1", substitutionHeadName="Section")
  public JAXBElement<NetworkConnectionSectionType> createNetworkConnectionSection(NetworkConnectionSectionType value)
  {
    return new JAXBElement(_NetworkConnectionSection_QNAME, NetworkConnectionSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="AdminVdc")
  public JAXBElement<AdminVdcType> createAdminVdc(AdminVdcType value)
  {
    return new JAXBElement(_AdminVdc_QNAME, AdminVdcType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/v1", name="Right")
  public JAXBElement<RightType> createRight(RightType value)
  {
    return new JAXBElement(_Right_QNAME, RightType.class, null, value);
  }
}