package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourcePoolType", propOrder={"moRef", "vimObjectType", "dataStoreRefs"})
public class ResourcePoolType extends EntityType
{

  @XmlElement(name="MoRef", required=true)
  protected String moRef;

  @XmlElement(name="VimObjectType", required=true)
  protected VimObjectTypeEnum vimObjectType;

  @XmlElement(name="DataStoreRefs")
  protected VimObjectRefsType dataStoreRefs;

  public String getMoRef()
  {
    return this.moRef;
  }

  public void setMoRef(String value)
  {
    this.moRef = value;
  }

  public VimObjectTypeEnum getVimObjectType()
  {
    return this.vimObjectType;
  }

  public void setVimObjectType(VimObjectTypeEnum value)
  {
    this.vimObjectType = value;
  }

  public VimObjectRefsType getDataStoreRefs()
  {
    return this.dataStoreRefs;
  }

  public void setDataStoreRefs(VimObjectRefsType value)
  {
    this.dataStoreRefs = value;
  }
}