package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.NetworkType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWExternalNetworkType", propOrder={"vimPortGroupRef"})
public class VMWExternalNetworkType extends NetworkType
{

  @XmlElement(name="VimPortGroupRef", required=true)
  protected VimObjectRefType vimPortGroupRef;

  public VimObjectRefType getVimPortGroupRef()
  {
    return this.vimPortGroupRef;
  }

  public void setVimPortGroupRef(VimObjectRefType value)
  {
    this.vimPortGroupRef = value;
  }
}