package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import com.vmware.vcloud.api.rest.schema_v1_0.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWNetworkPoolReferencesType", propOrder={"networkPoolReference"})
public class VMWNetworkPoolReferencesType extends ResourceType
{

  @XmlElement(name="NetworkPoolReference")
  protected List<ReferenceType> networkPoolReference;

  public List<ReferenceType> getNetworkPoolReference()
  {
    if (this.networkPoolReference == null) {
      this.networkPoolReference = new ArrayList();
    }
    return this.networkPoolReference;
  }
}