package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VimServerType", propOrder={"isEnabled", "isConnected", "shieldManagerIP", "shieldManagerUserName"})
public class VimServerType extends ServerType
{

  @XmlElement(name="IsEnabled")
  protected boolean isEnabled;

  @XmlElement(name="IsConnected")
  protected Boolean isConnected;

  @XmlElement(name="ShieldManagerIP")
  protected String shieldManagerIP;

  @XmlElement(name="ShieldManagerUserName")
  protected String shieldManagerUserName;

  public boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsConnected()
  {
    return this.isConnected;
  }

  public void setIsConnected(Boolean value)
  {
    this.isConnected = value;
  }

  public String getShieldManagerIP()
  {
    return this.shieldManagerIP;
  }

  public void setShieldManagerIP(String value)
  {
    this.shieldManagerIP = value;
  }

  public String getShieldManagerUserName()
  {
    return this.shieldManagerUserName;
  }

  public void setShieldManagerUserName(String value)
  {
    this.shieldManagerUserName = value;
  }
}