package com.vmware.vcloud.sdk.constants;

public enum GatewayEnums
{
  UPLINK("uplink"), 

  INTERNAL("internal");

  private String value;

  private GatewayEnums() {
  }

  private GatewayEnums(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static GatewayEnums fromValue(String value) {
    for (GatewayEnums enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}