package com.vmware.vcloud.sdk.constants;

public enum MetadataDomainVisibility
{
  PRIVATE("PRIVATE"), 

  READONLY("READONLY");

  private String value;

  private MetadataDomainVisibility() {
  }

  private MetadataDomainVisibility(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static MetadataDomainVisibility fromValue(String value) {
    for (MetadataDomainVisibility enumVal : values())
    {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}