package com.vmware.vcloud.sdk.constants.query;

public enum FilterType
{
  AND(";"), OR(",");

  private String value;

  private FilterType() {
  }

  private FilterType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static FilterType fromValue(String value) {
    for (FilterType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}