package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminVAppField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 

  CPUALLOCATIONMHZ("cpuAllocationMhz"), 
  CREATIONDATE("creationDate"), 
  ISBUSY("isBusy"), 
  ISDEPLOYED("isDeployed"), 
  ISENABLED("isEnabled"), 

  ISEXPIRED("isExpired"), 
  ISINMAINTENANCEMODE("isInMaintenanceMode"), 
  ISVDCENABLED("isVdcEnabled"), 
  MEMORYALLOCATIONMB("memoryAllocationMB"), 
  NAME("name"), 
  NUMBEROFVMS("numberOfVMs"), 
  ORG("org"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 
  STORAGEKB("storageKB"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryAdminVAppField() {
  }
  private QueryAdminVAppField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminVAppField fromValue(String value) {
    for (QueryAdminVAppField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}