package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminVAppTemplateField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATALOG("catalog"), 
  CATALOGITEM("catalogItem"), 
  CATALOGNAME("catalogName"), 
  CREATIONDATE("creationDate"), 
  ISBUSY("isBusy"), 
  ISDEPLOYED("isDeployed"), 
  ISENABLED("isEnabled"), 
  ISEXPIRED("isExpired"), 
  ISGOLDMASTER("isGoldMaster"), 
  ISPUBLISHED("isPublished"), 
  ISVDCENABLED("isVdcEnabled"), 
  NAME("name"), 
  ORG("org"), 
  OWNER("owner"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 

  STORAGEPROFILENAME("storageProfileName"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryAdminVAppTemplateField() {
  }
  private QueryAdminVAppTemplateField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminVAppTemplateField fromValue(String value) {
    for (QueryAdminVAppTemplateField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}