package com.vmware.vcloud.sdk.constants.query;

public enum QueryEdgeGatewayField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  GATEWAYSTATUS("gatewayStatus"), 
  HASTATUS("haStatus"), 
  ISBUSY("isBusy"), 
  NAME("name"), 
  NUMBEROFEXTNETWORKS("numberOfExtNetworks"), 
  NUMBEROFORGNETWORKS("numberOfOrgNetworks"), 
  VDC("vdc");

  private String value;

  private QueryEdgeGatewayField() {
  }
  private QueryEdgeGatewayField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryEdgeGatewayField fromValue(String value) {
    for (QueryEdgeGatewayField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}