package com.vmware.vcloud.sdk.constants.query;

public enum QueryOrgVdcGatewayField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISBUSY("isBusy"), 
  NAME("name"), 
  NUMBEROFEXTNETWORKS("numberOfExtNetworks"), 
  NUMBEROFORGNETWORKS("numberOfOrgNetworks"), 
  VDC("vdc");

  private String value;

  private QueryOrgVdcGatewayField() {
  }
  private QueryOrgVdcGatewayField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgVdcGatewayField fromValue(String value) {
    for (QueryOrgVdcGatewayField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}