package com.vmware.vcloud.sdk.constants.query;

public enum QueryOrgVdcNetworkField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CONNECTEDTO("connectedTo"), 
  DEFAULTGATEWAY("defaultGateway"), 
  DNS1("dns1"), 
  DNS2("dns2"), 
  DNSSUFFIX("dnsSuffix"), 
  ISBUSY("isBusy"), 
  ISIPSCOPEINHERITED("isIpScopeInherited"), 
  ISSHARED("isShared"), 
  LINKTYPE("linkType"), 
  NAME("name"), 
  NETMASK("netmask"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryOrgVdcNetworkField() {
  }
  private QueryOrgVdcNetworkField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgVdcNetworkField fromValue(String value) {
    for (QueryOrgVdcNetworkField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}