package com.vmware.vcloud.sdk.constants.query;

public enum QueryResourcePoolField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISDELETED("isDeleted"), 
  MOREF("moref"), 
  NAME("name"), 
  VC("vc"), 
  VCNAME("vcName");

  private String value;

  private QueryResourcePoolField() {
  }
  private QueryResourcePoolField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryResourcePoolField fromValue(String value) {
    for (QueryResourcePoolField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}