package com.vmware.vcloud.sdk.constants.query;

public enum QueryRoleField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISREADONLY("isReadOnly"), 
  NAME("name");

  private String value;

  private QueryRoleField() {
  }
  private QueryRoleField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryRoleField fromValue(String value) {
    for (QueryRoleField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}