package com.vmware.vcloud.sdk.constants.query;

public enum QueryVMWProviderVdcField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CPUALLOCATIONMHZ("cpuAllocationMhz"), 
  CPULIMITMHZ("cpuLimitMhz"), 
  CPUUSEDMHZ("cpuUsedMhz"), 
  ISBUSY("isBusy"), 
  ISDELETED("isDeleted"), 
  ISENABLED("isEnabled"), 
  MEMORYALLOCATIONMB("memoryAllocationMB"), 
  MEMORYLIMITMB("memoryLimitMB"), 
  MEMORYUSEDMB("memoryUsedMB"), 
  NAME("name"), 
  NUMBEROFDATASTORES("numberOfDatastores"), 

  NUMBEROFSTORAGEPROFILES("numberOfStorageProfiles"), 
  NUMBEROFVDCS("numberOfVdcs"), 
  STATUS("status"), 
  STORAGEALLOCATIONMB("storageAllocationMB"), 
  STORAGELIMITMB("storageLimitMB"), 
  STORAGEUSEDMB("storageUsedMB"), 
  VCPURATINGMHZ("vcpuRatingMhz");

  private String value;

  private QueryVMWProviderVdcField() {
  }
  private QueryVMWProviderVdcField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVMWProviderVdcField fromValue(String value) {
    for (QueryVMWProviderVdcField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}