package org.eclipse.jdt.internal.compiler.impl;

public class StringConstant extends Constant
{
  private String value;

  public static Constant fromValue(String value)
  {
    return new StringConstant(value);
  }

  private StringConstant(String value) {
    this.value = value;
  }

  public String stringValue()
  {
    return this.value;
  }

  public String toString()
  {
    return "(String)\"" + this.value + "\"";
  }
  public int typeID() { return 11; }

}