/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/encryption/ByteArrayCipher.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.encryption;

/**
 * Interface for encryption classes which can encrypt an array of bytes
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface ByteArrayCipher {
    /**
     * Encrypt  an array of bytes
     * @param input plaintext
     * @return encrypted output
     */
    byte[] encrypt(byte[] input);

    /**
     * Decrypt an array of bytes
     * @param input encrypted input
     * @return plaintext output
     */
    byte[] decrypt(byte[] input);

}
