/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/graph/EmptyResultProvidingNodeVisitor.java#2 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.graph;

import java.util.Set;

public class EmptyResultProvidingNodeVisitor<T, R> implements ResultProvidingNodeVisitor<T, R> {

    @Override
    public void preVisit(T node) {
        // No-op
    }

    @Override
    public R postVisit(T node, Set<R> successorResults) {
        // No-op
        return null;
    }

}
