/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/graph/ResultProvidingNodeVisitor.java#2 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.graph;

import java.util.Set;

public interface ResultProvidingNodeVisitor<T, R> {

    void preVisit(T node);

    R postVisit(T node, Set<R> successorResults);

}
