/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/logging/Bundle.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Define the localized message file a {@link MessageKey} implementation was generated from.
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Bundle {
    /**
     * The file this message enumeration was generated from. The localization framework
     * will use this in order to locate the appropriate messages during runtime.
     */
    String value();
}
