/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/logging/JdkLoggerAdapterFactory.java#2 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

import java.util.logging.Logger;

/**
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class JdkLoggerAdapterFactory implements LogAdapterFactory {
    /**
     * @see com.netapp.common.logging.LogAdapterFactory#createLogAdapter(java.lang.String)
     */
    @Override
    public LogAdapter createLogAdapter(String clazz) {
        return new JdkLoggerAdapter(Logger.getLogger(clazz));
    }
}
