/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/linux/BlockDeviceHandler.java#2 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.linux;

import java.io.File;

import com.netapp.common.platform.DeviceType;

/**
 * Handler for individual block device types.
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface BlockDeviceHandler {
    String driverName();
    DeviceType determineDeviceType(File file);
    File deviceForPartition(File disk, String partition);
    String extractFullDiskPathElement(File file);
    String extractPartitionPathElement(File file);
    File deviceFromMajorMinor(int major, int minor);
}
