/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/unix/FileSystemNative.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.unix;

import com.netapp.common.platform.FileSecurityDescriptor;
import com.netapp.common.platform.JNIException;

public interface FileSystemNative {
    int chmod(String path, int mode) throws JNIException;
    int chown(String path, int ownerId, int groupId) throws JNIException;
    int getUIDFromUsername(String username);
    int getGIDFromGroupname(String groupname);
    FileSecurityDescriptor getFileSecurityDescriptor(String path) throws JNIException;
    boolean userInGroup(String username, String groupname);
}
