package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("disk-release-all-reservations")
@Status(StatusEnum.PUBLIC)
@Errno({"ERESERVATIONSDISABLED", "EUNABLETORELEASE"})
@Family({"ontap-c", "ontap-d"})
public class DiskReleaseAllReservations
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}