package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-stats-info")
public class IscsiStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public IscsiCdbStatsInfo iscsiCdbStats;
  public IscsiErrorStatsInfo iscsiErrorStats;
  public IscsiReceivedStatsInfo iscsiReceivedStats;
  public IscsiTransmittedStatsInfo iscsiTransmittedStats;

  @Element("iscsi-cdb-stats")
  @Type("iscsi-cdb-stats-info")
  public void setIscsiCdbStats(IscsiCdbStatsInfo paramIscsiCdbStatsInfo)
  {
    this.iscsiCdbStats = paramIscsiCdbStatsInfo;
  }

  public IscsiCdbStatsInfo getIscsiCdbStats()
  {
    return this.iscsiCdbStats;
  }

  public IscsiStatsInfo withIscsiCdbStats(IscsiCdbStatsInfo paramIscsiCdbStatsInfo)
  {
    this.iscsiCdbStats = paramIscsiCdbStatsInfo;
    return this;
  }

  @Element("iscsi-error-stats")
  @Type("iscsi-error-stats-info")
  public void setIscsiErrorStats(IscsiErrorStatsInfo paramIscsiErrorStatsInfo)
  {
    this.iscsiErrorStats = paramIscsiErrorStatsInfo;
  }

  public IscsiErrorStatsInfo getIscsiErrorStats()
  {
    return this.iscsiErrorStats;
  }

  public IscsiStatsInfo withIscsiErrorStats(IscsiErrorStatsInfo paramIscsiErrorStatsInfo)
  {
    this.iscsiErrorStats = paramIscsiErrorStatsInfo;
    return this;
  }

  @Element("iscsi-received-stats")
  @Type("iscsi-received-stats-info")
  public void setIscsiReceivedStats(IscsiReceivedStatsInfo paramIscsiReceivedStatsInfo)
  {
    this.iscsiReceivedStats = paramIscsiReceivedStatsInfo;
  }

  public IscsiReceivedStatsInfo getIscsiReceivedStats()
  {
    return this.iscsiReceivedStats;
  }

  public IscsiStatsInfo withIscsiReceivedStats(IscsiReceivedStatsInfo paramIscsiReceivedStatsInfo)
  {
    this.iscsiReceivedStats = paramIscsiReceivedStatsInfo;
    return this;
  }

  @Element("iscsi-transmitted-stats")
  @Type("iscsi-transmitted-stats-info")
  public void setIscsiTransmittedStats(IscsiTransmittedStatsInfo paramIscsiTransmittedStatsInfo)
  {
    this.iscsiTransmittedStats = paramIscsiTransmittedStatsInfo;
  }

  public IscsiTransmittedStatsInfo getIscsiTransmittedStats()
  {
    return this.iscsiTransmittedStats;
  }

  public IscsiStatsInfo withIscsiTransmittedStats(IscsiTransmittedStatsInfo paramIscsiTransmittedStatsInfo)
  {
    this.iscsiTransmittedStats = paramIscsiTransmittedStatsInfo;
    return this;
  }
}