package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("shelf-info")
public class ShelfInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer shelfId;

  @Element("shelf-id")
  @Type("integer")
  @Range(min="0", max="2^24-1")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public ShelfInfo withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }
}