package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapvault-snapcreate-options")
public class SnapvaultSnapcreateOptions
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer triesCount;

  @Element("tries-count")
  @Type("integer")
  @Range(min="-1", max="120")
  public void setTriesCount(Integer paramInteger)
  {
    this.triesCount = paramInteger;
  }

  public Integer getTriesCount()
  {
    return this.triesCount;
  }

  public SnapvaultSnapcreateOptions withTriesCount(Integer paramInteger)
  {
    this.triesCount = paramInteger;
    return this;
  }
}