package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("system-get-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d", "vfiler"})
public class SystemGetInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SystemInfo systemInfo;

  @Output("system-info")
  @Type("system-info")
  public void setSystemInfo(SystemInfo paramSystemInfo)
  {
    this.systemInfo = paramSystemInfo;
  }

  public SystemInfo getSystemInfo()
  {
    return this.systemInfo;
  }

  public SystemGetInfo withSystemInfo(SystemInfo paramSystemInfo)
  {
    this.systemInfo = paramSystemInfo;
    return this;
  }
}