package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-user-modify")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminUserModify
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public UseradminUserInfo useradminUser;

  @Input("useradmin-user")
  @Type("useradmin-user-info")
  public void setUseradminUser(UseradminUserInfo paramUseradminUserInfo)
  {
    this.useradminUser = paramUseradminUserInfo;
  }

  public UseradminUserInfo getUseradminUser()
  {
    return this.useradminUser;
  }

  public UseradminUserModify withUseradminUser(UseradminUserInfo paramUseradminUserInfo)
  {
    this.useradminUser = paramUseradminUserInfo;
    return this;
  }
}