package com.netapp.snapcreator.agent;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

@WebService(targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", name="Agent")
@XmlSeeAlso({ObjectFactory.class})
public abstract interface Agent
{
  @WebResult(name="ping", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="ping", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Ping")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#ping")
  @ResponseWrapper(localName="pingResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.PingResponse")
  public abstract PingResult ping();

  @WebResult(name="umount", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="umount", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Umount")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#umount")
  @ResponseWrapper(localName="umountResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.UmountResponse")
  public abstract Result umount(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="quiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="quiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Quiesce")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#quiesce")
  @ResponseWrapper(localName="quiesceResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.QuiesceResponse")
  public abstract QuiesceResult quiesce(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="clone_post", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="clone_post", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.ClonePost")
  @WebMethod(operationName="clone_post", action="http://www.netapp.com/SnapCreator/Daemon/Agent#clone_post")
  @ResponseWrapper(localName="clone_postResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.ClonePostResponse")
  public abstract Result clonePost(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="fs_quiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="fs_quiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsQuiesce")
  @WebMethod(operationName="fs_quiesce", action="http://www.netapp.com/SnapCreator/Daemon/Agent#fs_quiesce")
  @ResponseWrapper(localName="fs_quiesceResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsQuiesceResponse")
  public abstract Result fsQuiesce(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="describe", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="describe", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Describe")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#describe")
  @ResponseWrapper(localName="describeResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.DescribeResponse")
  public abstract DescribeResult describe(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="backup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="backup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Backup")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#backup")
  @ResponseWrapper(localName="backupResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.BackupResponse")
  public abstract Result backup(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="custom", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="custom", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Custom")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#custom")
  @ResponseWrapper(localName="customResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.CustomResponse")
  public abstract CustomResult custom(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="fs_restore_post", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="fs_restore_post", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsRestorePost")
  @WebMethod(operationName="fs_restore_post", action="http://www.netapp.com/SnapCreator/Daemon/Agent#fs_restore_post")
  @ResponseWrapper(localName="fs_restore_postResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsRestorePostResponse")
  public abstract Result fsRestorePost(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="restore_pre", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="restore_pre", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestorePre")
  @WebMethod(operationName="restore_pre", action="http://www.netapp.com/SnapCreator/Daemon/Agent#restore_pre")
  @ResponseWrapper(localName="restore_preResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestorePreResponse")
  public abstract Result restorePre(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="scdump", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="scdump", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Scdump")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#scdump")
  @ResponseWrapper(localName="scdumpResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.ScdumpResponse")
  public abstract ScDumpResult scdump(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="unquiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="fs_unquiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsUnquiesce")
  @WebMethod(operationName="fs_unquiesce", action="http://www.netapp.com/SnapCreator/Daemon/Agent#fs_unquiesce")
  @ResponseWrapper(localName="fs_unquiesceResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsUnquiesceResponse")
  public abstract Result fsUnquiesce(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="clone", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="clone", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Clone")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#clone")
  @ResponseWrapper(localName="cloneResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.CloneResponse")
  public abstract Result clone(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="delete", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="delete", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Delete")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#delete")
  @ResponseWrapper(localName="deleteResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.DeleteResponse")
  public abstract Result delete(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="clone_cleanup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="clone_cleanup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.CloneCleanup")
  @WebMethod(operationName="clone_cleanup", action="http://www.netapp.com/SnapCreator/Daemon/Agent#clone_cleanup")
  @ResponseWrapper(localName="clone_cleanupResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.CloneCleanupResponse")
  public abstract Result cloneCleanup(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="mount", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="mount", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Mount")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#mount")
  @ResponseWrapper(localName="mountResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.MountResponse")
  public abstract Result mount(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="version", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="version", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Version")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#version")
  @ResponseWrapper(localName="versionResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.VersionResponse")
  public abstract VersionResult version();

  @WebResult(name="fs_restore_pre", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="fs_restore_pre", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsRestorePre")
  @WebMethod(operationName="fs_restore_pre", action="http://www.netapp.com/SnapCreator/Daemon/Agent#fs_restore_pre")
  @ResponseWrapper(localName="fs_restore_preResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.FsRestorePreResponse")
  public abstract Result fsRestorePre(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="restore_post", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="restore_post", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestorePost")
  @WebMethod(operationName="restore_post", action="http://www.netapp.com/SnapCreator/Daemon/Agent#restore_post")
  @ResponseWrapper(localName="restore_postResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestorePostResponse")
  public abstract Result restorePost(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="discover", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="discover", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Discover")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#discover")
  @ResponseWrapper(localName="discoverResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.DiscoverResponse")
  public abstract DiscoverResult discover(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="restore_cleanup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="restore_cleanup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestoreCleanup")
  @WebMethod(operationName="restore_cleanup", action="http://www.netapp.com/SnapCreator/Daemon/Agent#restore_cleanup")
  @ResponseWrapper(localName="restore_cleanupResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestoreCleanupResponse")
  public abstract Result restoreCleanup(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="execute", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="execute", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Execute")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#execute")
  @ResponseWrapper(localName="executeResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.ExecuteResponse")
  public abstract Result execute(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") ExecuteRequest paramExecuteRequest);

  @WebResult(name="restore", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="restore", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Restore")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#restore")
  @ResponseWrapper(localName="restoreResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.RestoreResponse")
  public abstract Result restore(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="backup_cleanup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="backup_cleanup", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.BackupCleanup")
  @WebMethod(operationName="backup_cleanup", action="http://www.netapp.com/SnapCreator/Daemon/Agent#backup_cleanup")
  @ResponseWrapper(localName="backup_cleanupResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.BackupCleanupResponse")
  public abstract Result backupCleanup(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="unquiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="unquiesce", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.Unquiesce")
  @WebMethod(action="http://www.netapp.com/SnapCreator/Daemon/Agent#unquiesce")
  @ResponseWrapper(localName="unquiesceResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.UnquiesceResponse")
  public abstract Result unquiesce(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);

  @WebResult(name="clone_pre", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent")
  @RequestWrapper(localName="clone_pre", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.ClonePre")
  @WebMethod(operationName="clone_pre", action="http://www.netapp.com/SnapCreator/Daemon/Agent#clone_pre")
  @ResponseWrapper(localName="clone_preResponse", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent", className="com.netapp.snapcreator.agent.ClonePreResponse")
  public abstract Result clonePre(@WebParam(name="request", targetNamespace="http://www.netapp.com/SnapCreator/Daemon/Agent") Config paramConfig);
}