package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AllocatedIpAddressType", propOrder={"ipAddress"})
public class AllocatedIpAddressType extends ResourceType
{

  @XmlElement(name="IpAddress", required=true)
  protected String ipAddress;

  @XmlAttribute(required=true)
  protected String allocationType;

  @XmlAttribute
  protected Boolean isDeployed;

  public String getIpAddress()
  {
    return this.ipAddress;
  }

  public void setIpAddress(String value)
  {
    this.ipAddress = value;
  }

  public String getAllocationType()
  {
    return this.allocationType;
  }

  public void setAllocationType(String value)
  {
    this.allocationType = value;
  }

  public Boolean isIsDeployed()
  {
    return this.isDeployed;
  }

  public void setIsDeployed(Boolean value)
  {
    this.isDeployed = value;
  }
}