package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CatalogType", propOrder={"owner", "catalogItems", "isPublished", "dateCreated"})
public class CatalogType extends EntityType
{

  @XmlElement(name="Owner")
  protected OwnerType owner;

  @XmlElement(name="CatalogItems")
  protected CatalogItemsType catalogItems;

  @XmlElement(name="IsPublished")
  protected Boolean isPublished;

  @XmlElement(name="DateCreated")
  protected XMLGregorianCalendar dateCreated;

  public OwnerType getOwner()
  {
    return this.owner;
  }

  public void setOwner(OwnerType value)
  {
    this.owner = value;
  }

  public CatalogItemsType getCatalogItems()
  {
    return this.catalogItems;
  }

  public void setCatalogItems(CatalogItemsType value)
  {
    this.catalogItems = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public XMLGregorianCalendar getDateCreated()
  {
    return this.dateCreated;
  }

  public void setDateCreated(XMLGregorianCalendar value)
  {
    this.dateCreated = value;
  }
}