package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ComplianceResultType", propOrder={"complianceStatus", "complianceStatusMessage", "complianceCheckTime"})
public class ComplianceResultType extends VCloudExtensibleType
{

  @XmlElement(name="ComplianceStatus", required=true)
  protected String complianceStatus;

  @XmlElement(name="ComplianceStatusMessage")
  protected String complianceStatusMessage;

  @XmlElement(name="ComplianceCheckTime")
  protected XMLGregorianCalendar complianceCheckTime;

  public String getComplianceStatus()
  {
    return this.complianceStatus;
  }

  public void setComplianceStatus(String value)
  {
    this.complianceStatus = value;
  }

  public String getComplianceStatusMessage()
  {
    return this.complianceStatusMessage;
  }

  public void setComplianceStatusMessage(String value)
  {
    this.complianceStatusMessage = value;
  }

  public XMLGregorianCalendar getComplianceCheckTime()
  {
    return this.complianceCheckTime;
  }

  public void setComplianceCheckTime(XMLGregorianCalendar value)
  {
    this.complianceCheckTime = value;
  }
}