package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DiskCreateParamsType", propOrder={"disk", "locality"})
public class DiskCreateParamsType extends VCloudExtensibleType
{

  @XmlElement(name="Disk", required=true)
  protected DiskType disk;

  @XmlElement(name="Locality")
  protected ReferenceType locality;

  public DiskType getDisk()
  {
    return this.disk;
  }

  public void setDisk(DiskType value)
  {
    this.disk = value;
  }

  public ReferenceType getLocality()
  {
    return this.locality;
  }

  public void setLocality(ReferenceType value)
  {
    this.locality = value;
  }
}