package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpsecVpnSubnetType", propOrder={"name", "gateway", "netmask"})
public class IpsecVpnSubnetType extends VCloudExtensibleType
{

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="Gateway")
  protected String gateway;

  @XmlElement(name="Netmask")
  protected String netmask;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getGateway()
  {
    return this.gateway;
  }

  public void setGateway(String value)
  {
    this.gateway = value;
  }

  public String getNetmask()
  {
    return this.netmask;
  }

  public void setNetmask(String value)
  {
    this.netmask = value;
  }
}