package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgType", propOrder={"fullName", "isEnabled"})
public class OrgType extends EntityType
{

  @XmlElement(name="FullName", required=true)
  protected String fullName;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  public String getFullName()
  {
    return this.fullName;
  }

  public void setFullName(String value)
  {
    this.fullName = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }
}