package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="PropertyType", propOrder={"value"})
public class PropertyType
{

  @XmlValue
  protected String value;

  @XmlAttribute(required=true)
  protected String key;

  public String getValue()
  {
    return this.value;
  }

  public void setValue(String value)
  {
    this.value = value;
  }

  public String getKey()
  {
    return this.key;
  }

  public void setKey(String value)
  {
    this.key = value;
  }
}