package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminMediaRecordType")
public class QueryResultAdminMediaRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String catalog;

  @XmlAttribute
  protected String catalogItem;

  @XmlAttribute
  protected String catalogName;

  @XmlAttribute
  protected XMLGregorianCalendar creationDate;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isPublished;

  @XmlAttribute
  protected Boolean isVdcEnabled;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String owner;

  @XmlAttribute
  protected String ownerName;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected Long storageB;

  @XmlAttribute
  protected String storageProfileName;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected String vdcName;

  public String getCatalog()
  {
    return this.catalog;
  }

  public void setCatalog(String value)
  {
    this.catalog = value;
  }

  public String getCatalogItem()
  {
    return this.catalogItem;
  }

  public void setCatalogItem(String value)
  {
    this.catalogItem = value;
  }

  public String getCatalogName()
  {
    return this.catalogName;
  }

  public void setCatalogName(String value)
  {
    this.catalogName = value;
  }

  public XMLGregorianCalendar getCreationDate()
  {
    return this.creationDate;
  }

  public void setCreationDate(XMLGregorianCalendar value)
  {
    this.creationDate = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public Boolean isIsVdcEnabled()
  {
    return this.isVdcEnabled;
  }

  public void setIsVdcEnabled(Boolean value)
  {
    this.isVdcEnabled = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public void setOwner(String value)
  {
    this.owner = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public Long getStorageB()
  {
    return this.storageB;
  }

  public void setStorageB(Long value)
  {
    this.storageB = value;
  }

  public String getStorageProfileName()
  {
    return this.storageProfileName;
  }

  public void setStorageProfileName(String value)
  {
    this.storageProfileName = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public String getVdcName()
  {
    return this.vdcName;
  }

  public void setVdcName(String value)
  {
    this.vdcName = value;
  }
}