package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminUserRecordType")
public class QueryResultAdminUserRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Integer deployedVMQuota;

  @XmlAttribute
  protected Integer deployedVMQuotaRank;

  @XmlAttribute
  protected String fullName;

  @XmlAttribute
  protected String identityProviderType;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isLdapUser;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfDeployedVMs;

  @XmlAttribute
  protected Integer numberOfStoredVMs;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected Integer storedVMQuota;

  @XmlAttribute
  protected Integer storedVMQuotaRank;

  public Integer getDeployedVMQuota()
  {
    return this.deployedVMQuota;
  }

  public void setDeployedVMQuota(Integer value)
  {
    this.deployedVMQuota = value;
  }

  public Integer getDeployedVMQuotaRank()
  {
    return this.deployedVMQuotaRank;
  }

  public void setDeployedVMQuotaRank(Integer value)
  {
    this.deployedVMQuotaRank = value;
  }

  public String getFullName()
  {
    return this.fullName;
  }

  public void setFullName(String value)
  {
    this.fullName = value;
  }

  public String getIdentityProviderType()
  {
    return this.identityProviderType;
  }

  public void setIdentityProviderType(String value)
  {
    this.identityProviderType = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsLdapUser()
  {
    return this.isLdapUser;
  }

  public void setIsLdapUser(Boolean value)
  {
    this.isLdapUser = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfDeployedVMs()
  {
    return this.numberOfDeployedVMs;
  }

  public void setNumberOfDeployedVMs(Integer value)
  {
    this.numberOfDeployedVMs = value;
  }

  public Integer getNumberOfStoredVMs()
  {
    return this.numberOfStoredVMs;
  }

  public void setNumberOfStoredVMs(Integer value)
  {
    this.numberOfStoredVMs = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public Integer getStoredVMQuota()
  {
    return this.storedVMQuota;
  }

  public void setStoredVMQuota(Integer value)
  {
    this.storedVMQuota = value;
  }

  public Integer getStoredVMQuotaRank()
  {
    return this.storedVMQuotaRank;
  }

  public void setStoredVMQuotaRank(Integer value)
  {
    this.storedVMQuotaRank = value;
  }
}