package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultApiDefinitionRecordType")
public class QueryResultApiDefinitionRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String apiVendor;

  @XmlAttribute
  protected String entryPoint;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String namespace;

  @XmlAttribute
  protected String service;

  @XmlAttribute
  protected String serviceName;

  @XmlAttribute
  protected String serviceNamespace;

  @XmlAttribute
  protected String serviceVendor;

  public String getApiVendor()
  {
    return this.apiVendor;
  }

  public void setApiVendor(String value)
  {
    this.apiVendor = value;
  }

  public String getEntryPoint()
  {
    return this.entryPoint;
  }

  public void setEntryPoint(String value)
  {
    this.entryPoint = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNamespace()
  {
    return this.namespace;
  }

  public void setNamespace(String value)
  {
    this.namespace = value;
  }

  public String getService()
  {
    return this.service;
  }

  public void setService(String value)
  {
    this.service = value;
  }

  public String getServiceName()
  {
    return this.serviceName;
  }

  public void setServiceName(String value)
  {
    this.serviceName = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }

  public String getServiceVendor()
  {
    return this.serviceVendor;
  }

  public void setServiceVendor(String value)
  {
    this.serviceVendor = value;
  }
}