package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultCellRecordType")
public class QueryResultCellRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected XMLGregorianCalendar buildDate;

  @XmlAttribute
  protected Integer isActive;

  @XmlAttribute
  protected Integer isVMwareVc;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String primaryIp;

  @XmlAttribute
  protected String version;

  public XMLGregorianCalendar getBuildDate()
  {
    return this.buildDate;
  }

  public void setBuildDate(XMLGregorianCalendar value)
  {
    this.buildDate = value;
  }

  public Integer getIsActive()
  {
    return this.isActive;
  }

  public void setIsActive(Integer value)
  {
    this.isActive = value;
  }

  public Integer getIsVMwareVc()
  {
    return this.isVMwareVc;
  }

  public void setIsVMwareVc(Integer value)
  {
    this.isVMwareVc = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getPrimaryIp()
  {
    return this.primaryIp;
  }

  public void setPrimaryIp(String value)
  {
    this.primaryIp = value;
  }

  public String getVersion()
  {
    return this.version;
  }

  public void setVersion(String value)
  {
    this.version = value;
  }
}