package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultFileDescriptorRecordType")
public class QueryResultFileDescriptorRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String apiDefinition;

  @XmlAttribute
  protected String apiName;

  @XmlAttribute
  protected String apiNamespace;

  @XmlAttribute
  protected String apiVendor;

  @XmlAttribute
  protected String fileMimeType;

  @XmlAttribute
  protected String fileUrl;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String service;

  @XmlAttribute
  protected String serviceName;

  @XmlAttribute
  protected String serviceNamespace;

  @XmlAttribute
  protected String serviceVendor;

  public String getApiDefinition()
  {
    return this.apiDefinition;
  }

  public void setApiDefinition(String value)
  {
    this.apiDefinition = value;
  }

  public String getApiName()
  {
    return this.apiName;
  }

  public void setApiName(String value)
  {
    this.apiName = value;
  }

  public String getApiNamespace()
  {
    return this.apiNamespace;
  }

  public void setApiNamespace(String value)
  {
    this.apiNamespace = value;
  }

  public String getApiVendor()
  {
    return this.apiVendor;
  }

  public void setApiVendor(String value)
  {
    this.apiVendor = value;
  }

  public String getFileMimeType()
  {
    return this.fileMimeType;
  }

  public void setFileMimeType(String value)
  {
    this.fileMimeType = value;
  }

  public String getFileUrl()
  {
    return this.fileUrl;
  }

  public void setFileUrl(String value)
  {
    this.fileUrl = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getService()
  {
    return this.service;
  }

  public void setService(String value)
  {
    this.service = value;
  }

  public String getServiceName()
  {
    return this.serviceName;
  }

  public void setServiceName(String value)
  {
    this.serviceName = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }

  public String getServiceVendor()
  {
    return this.serviceVendor;
  }

  public void setServiceVendor(String value)
  {
    this.serviceVendor = value;
  }
}