package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultVirtualCenterRecordType")
public class QueryResultVirtualCenterRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isSupported;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String url;

  @XmlAttribute
  protected String userName;

  @XmlAttribute
  protected String uuid;

  @XmlAttribute
  protected String vcVersion;

  @XmlAttribute
  protected String vsmIP;

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsSupported()
  {
    return this.isSupported;
  }

  public void setIsSupported(Boolean value)
  {
    this.isSupported = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getUrl()
  {
    return this.url;
  }

  public void setUrl(String value)
  {
    this.url = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public void setUuid(String value)
  {
    this.uuid = value;
  }

  public String getVcVersion()
  {
    return this.vcVersion;
  }

  public void setVcVersion(String value)
  {
    this.vcVersion = value;
  }

  public String getVsmIP()
  {
    return this.vsmIP;
  }

  public void setVsmIP(String value)
  {
    this.vsmIP = value;
  }
}