package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UploadVAppTemplateParamsType", propOrder={"vdcStorageProfile"})
public class UploadVAppTemplateParamsType extends ParamsType
{

  @XmlElement(name="VdcStorageProfile")
  protected ReferenceType vdcStorageProfile;

  @XmlAttribute
  protected Boolean manifestRequired;

  @XmlAttribute
  protected String transferFormat;

  public ReferenceType getVdcStorageProfile()
  {
    return this.vdcStorageProfile;
  }

  public void setVdcStorageProfile(ReferenceType value)
  {
    this.vdcStorageProfile = value;
  }

  public Boolean isManifestRequired()
  {
    return this.manifestRequired;
  }

  public void setManifestRequired(Boolean value)
  {
    this.manifestRequired = value;
  }

  public String getTransferFormat()
  {
    return this.transferFormat;
  }

  public void setTransferFormat(String value)
  {
    this.transferFormat = value;
  }
}