package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UserType", propOrder={"fullName", "emailAddress", "telephone", "isEnabled", "isLocked", "im", "nameInSource", "isAlertEnabled", "alertEmailPrefix", "alertEmail", "isExternal", "providerType", "isDefaultCached", "isGroupRole", "storedVmQuota", "deployedVmQuota", "role", "password", "groupReferences"})
public class UserType extends EntityType
{

  @XmlElement(name="FullName")
  protected String fullName;

  @XmlElement(name="EmailAddress")
  protected String emailAddress;

  @XmlElement(name="Telephone")
  protected String telephone;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="IsLocked")
  protected Boolean isLocked;

  @XmlElement(name="IM")
  protected String im;

  @XmlElement(name="NameInSource")
  protected String nameInSource;

  @XmlElement(name="IsAlertEnabled")
  protected Boolean isAlertEnabled;

  @XmlElement(name="AlertEmailPrefix")
  protected String alertEmailPrefix;

  @XmlElement(name="AlertEmail")
  protected String alertEmail;

  @XmlElement(name="IsExternal")
  protected Boolean isExternal;

  @XmlElement(name="ProviderType")
  protected String providerType;

  @XmlElement(name="IsDefaultCached")
  protected Boolean isDefaultCached;

  @XmlElement(name="IsGroupRole")
  protected Boolean isGroupRole;

  @XmlElement(name="StoredVmQuota")
  protected Integer storedVmQuota;

  @XmlElement(name="DeployedVmQuota")
  protected Integer deployedVmQuota;

  @XmlElement(name="Role")
  protected ReferenceType role;

  @XmlElement(name="Password")
  protected String password;

  @XmlElement(name="GroupReferences")
  protected GroupsListType groupReferences;

  public String getFullName()
  {
    return this.fullName;
  }

  public void setFullName(String value)
  {
    this.fullName = value;
  }

  public String getEmailAddress()
  {
    return this.emailAddress;
  }

  public void setEmailAddress(String value)
  {
    this.emailAddress = value;
  }

  public String getTelephone()
  {
    return this.telephone;
  }

  public void setTelephone(String value)
  {
    this.telephone = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsLocked()
  {
    return this.isLocked;
  }

  public void setIsLocked(Boolean value)
  {
    this.isLocked = value;
  }

  public String getIM()
  {
    return this.im;
  }

  public void setIM(String value)
  {
    this.im = value;
  }

  public String getNameInSource()
  {
    return this.nameInSource;
  }

  public void setNameInSource(String value)
  {
    this.nameInSource = value;
  }

  public Boolean isIsAlertEnabled()
  {
    return this.isAlertEnabled;
  }

  public void setIsAlertEnabled(Boolean value)
  {
    this.isAlertEnabled = value;
  }

  public String getAlertEmailPrefix()
  {
    return this.alertEmailPrefix;
  }

  public void setAlertEmailPrefix(String value)
  {
    this.alertEmailPrefix = value;
  }

  public String getAlertEmail()
  {
    return this.alertEmail;
  }

  public void setAlertEmail(String value)
  {
    this.alertEmail = value;
  }

  public Boolean isIsExternal()
  {
    return this.isExternal;
  }

  public void setIsExternal(Boolean value)
  {
    this.isExternal = value;
  }

  public String getProviderType()
  {
    return this.providerType;
  }

  public void setProviderType(String value)
  {
    this.providerType = value;
  }

  public Boolean isIsDefaultCached()
  {
    return this.isDefaultCached;
  }

  public void setIsDefaultCached(Boolean value)
  {
    this.isDefaultCached = value;
  }

  public Boolean isIsGroupRole()
  {
    return this.isGroupRole;
  }

  public void setIsGroupRole(Boolean value)
  {
    this.isGroupRole = value;
  }

  public Integer getStoredVmQuota()
  {
    return this.storedVmQuota;
  }

  public void setStoredVmQuota(Integer value)
  {
    this.storedVmQuota = value;
  }

  public Integer getDeployedVmQuota()
  {
    return this.deployedVmQuota;
  }

  public void setDeployedVmQuota(Integer value)
  {
    this.deployedVmQuota = value;
  }

  public ReferenceType getRole()
  {
    return this.role;
  }

  public void setRole(ReferenceType value)
  {
    this.role = value;
  }

  public String getPassword()
  {
    return this.password;
  }

  public void setPassword(String value)
  {
    this.password = value;
  }

  public GroupsListType getGroupReferences()
  {
    return this.groupReferences;
  }

  public void setGroupReferences(GroupsListType value)
  {
    this.groupReferences = value;
  }
}