package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AclRuleType", propOrder={"serviceResourceAccess", "organizationAccess", "principalAccess"})
public class AclRuleType extends EntityType
{

  @XmlElement(name="ServiceResourceAccess")
  protected AclAccessType serviceResourceAccess;

  @XmlElement(name="OrganizationAccess")
  protected AclAccessType organizationAccess;

  @XmlElement(name="PrincipalAccess")
  protected AclAccessType principalAccess;

  public AclAccessType getServiceResourceAccess()
  {
    return this.serviceResourceAccess;
  }

  public void setServiceResourceAccess(AclAccessType value)
  {
    this.serviceResourceAccess = value;
  }

  public AclAccessType getOrganizationAccess()
  {
    return this.organizationAccess;
  }

  public void setOrganizationAccess(AclAccessType value)
  {
    this.organizationAccess = value;
  }

  public AclAccessType getPrincipalAccess()
  {
    return this.principalAccess;
  }

  public void setPrincipalAccess(AclAccessType value)
  {
    this.principalAccess = value;
  }
}