package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminApiDefinitionType", propOrder={"entryPoint", "namespace", "apiVendor", "supportedApiVersions", "files"})
public class AdminApiDefinitionType extends EntityType
{

  @XmlElement(name="EntryPoint")
  protected String entryPoint;

  @XmlElement(name="Namespace")
  protected String namespace;

  @XmlElement(name="ApiVendor")
  protected String apiVendor;

  @XmlElement(name="SupportedApiVersions")
  protected VersionsType supportedApiVersions;

  @XmlElement(name="Files")
  protected AdminFileDescriptorsType files;

  public String getEntryPoint()
  {
    return this.entryPoint;
  }

  public void setEntryPoint(String value)
  {
    this.entryPoint = value;
  }

  public String getNamespace()
  {
    return this.namespace;
  }

  public void setNamespace(String value)
  {
    this.namespace = value;
  }

  public String getApiVendor()
  {
    return this.apiVendor;
  }

  public void setApiVendor(String value)
  {
    this.apiVendor = value;
  }

  public VersionsType getSupportedApiVersions()
  {
    return this.supportedApiVersions;
  }

  public void setSupportedApiVersions(VersionsType value)
  {
    this.supportedApiVersions = value;
  }

  public AdminFileDescriptorsType getFiles()
  {
    return this.files;
  }

  public void setFiles(AdminFileDescriptorsType value)
  {
    this.files = value;
  }
}