package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferencesType;
import com.vmware.vcloud.api.rest.schema.TaskOperationListType;
import com.vmware.vcloud.api.rest.schema.VendorServicesType;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory
{
  private static final QName _BlockingTaskSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BlockingTaskSettings");
  private static final QName _Datastore_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "Datastore");
  private static final QName _VMWExtension_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWExtension");
  private static final QName _LicensingReport_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "LicensingReport");
  private static final QName _BlockingTaskOperationParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BlockingTaskOperationParams");
  private static final QName _DatastoreReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "DatastoreReferences");
  private static final QName _LookupServiceParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "LookupServiceParams");
  private static final QName _Sample_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "Sample");
  private static final QName _StrandedItem_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "StrandedItem");
  private static final QName _Notification_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "Notification");
  private static final QName _VimObjectRefList_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VimObjectRefList");
  private static final QName _BlockingTask_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BlockingTask");
  private static final QName _MigrateParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "MigrateParams");
  private static final QName _ShieldManager_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ShieldManager");
  private static final QName _VSphereWebClientUrl_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VSphereWebClientUrl");
  private static final QName _ServiceLinks_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ServiceLinks");
  private static final QName _AmqpSettingsTest_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "AmqpSettingsTest");
  private static final QName _ProviderVdcMergeParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ProviderVdcMergeParams");
  private static final QName _ImportVmIntoExistingVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ImportVmIntoExistingVAppParams");
  private static final QName _ApiDefinition_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ApiDefinition");
  private static final QName _VMWExternalNetwork_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWExternalNetwork");
  private static final QName _UserEntityRights_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "UserEntityRights");
  private static final QName _ServiceResource_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ServiceResource");
  private static final QName _BlockingTaskOperations_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BlockingTaskOperations");
  private static final QName _AclRule_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "AclRule");
  private static final QName _VMWVimServerReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWVimServerReferences");
  private static final QName _ApiDefinitions_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ApiDefinitions");
  private static final QName _VMWStorageProfile_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWStorageProfile");
  private static final QName _KerberosSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "KerberosSettings");
  private static final QName _ApiFilters_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ApiFilters");
  private static final QName _Host_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "Host");
  private static final QName _LicensingReports_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "LicensingReports");
  private static final QName _ManagedServer_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ManagedServer");
  private static final QName _EntityReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "EntityReferences");
  private static final QName _SystemPasswordPolicySettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "SystemPasswordPolicySettings");
  private static final QName _BlockingTaskReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BlockingTaskReferences");
  private static final QName _VcTrustStoreUpdateParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VcTrustStoreUpdateParams");
  private static final QName _ApiFilter_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ApiFilter");
  private static final QName _OrganizationResourcePoolSet_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "OrganizationResourcePoolSet");
  private static final QName _UpdateProviderVdcStorageProfiles_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "UpdateProviderVdcStorageProfiles");
  private static final QName _GeneralSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "GeneralSettings");
  private static final QName _RegisterVimServerParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "RegisterVimServerParams");
  private static final QName _AmqpSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "AmqpSettings");
  private static final QName _NotificationsSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "NotificationsSettings");
  private static final QName _SystemSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "SystemSettings");
  private static final QName _EmailSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "EmailSettings");
  private static final QName _VMWExternalNetworkReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWExternalNetworkReferences");
  private static final QName _VMWNetworkPool_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWNetworkPool");
  private static final QName _VMWProviderVdc_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWProviderVdc");
  private static final QName _AuthorizationCheckParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "AuthorizationCheckParams");
  private static final QName _VMWHostReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWHostReferences");
  private static final QName _LdapSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "LdapSettings");
  private static final QName _UpdateResourcePoolSetParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "UpdateResourcePoolSetParams");
  private static final QName _License_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "License");
  private static final QName _BrandingSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BrandingSettings");
  private static final QName _UpdateRightsParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "UpdateRightsParams");
  private static final QName _BundleUploadParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BundleUploadParams");
  private static final QName _PrepareHostParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "PrepareHostParams");
  private static final QName _VMWProviderVdcStorageProfile_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWProviderVdcStorageProfile");
  private static final QName _Service_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "Service");
  private static final QName _RightRefs_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "RightRefs");
  private static final QName _ImportVmAsVAppTemplateParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ImportVmAsVAppTemplateParams");
  private static final QName _VMWNetworkPoolReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWNetworkPoolReferences");
  private static final QName _VMWProviderVdcReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWProviderVdcReferences");
  private static final QName _BlockingTaskUpdateProgressParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BlockingTaskUpdateProgressParams");
  private static final QName _VMWProviderVdcResourcePoolSet_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWProviderVdcResourcePoolSet");
  private static final QName _VMWStorageProfiles_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWStorageProfiles");
  private static final QName _BundleUploadSocket_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "BundleUploadSocket");
  private static final QName _VendorServices_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VendorServices");
  private static final QName _ServiceLink_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ServiceLink");
  private static final QName _VcTrustStoreUploadSocket_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VcTrustStoreUploadSocket");
  private static final QName _ResourceClassAction_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ResourceClassAction");
  private static final QName _ResourcePoolList_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ResourcePoolList");
  private static final QName _ResourceClass_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ResourceClass");
  private static final QName _VmObjectRefsList_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VmObjectRefsList");
  private static final QName _ImportVmAsVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ImportVmAsVAppParams");
  private static final QName _VMWProviderVdcParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VMWProviderVdcParams");
  private static final QName _VimObjectRef_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VimObjectRef");
  private static final QName _FileDescriptor_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "FileDescriptor");
  private static final QName _VirtualMachine_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VirtualMachine");
  private static final QName _VimServer_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VimServer");
  private static final QName _AuthorizationCheckResponse_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "AuthorizationCheckResponse");
  private static final QName _VmVimInfo_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "VmVimInfo");
  private static final QName _LookupServiceSettings_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "LookupServiceSettings");
  private static final QName _ImportMediaParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ImportMediaParams");
  private static final QName _ExtensionServices_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1.5", "ExtensionServices");

  public AclRulesType createAclRulesType()
  {
    return new AclRulesType();
  }

  public RealmType createRealmType()
  {
    return new RealmType();
  }

  public UpdateRightsParamsType createUpdateRightsParamsType()
  {
    return new UpdateRightsParamsType();
  }

  public StrandedItemVimObjectsType createStrandedItemVimObjectsType()
  {
    return new StrandedItemVimObjectsType();
  }

  public LookupServiceParamsType createLookupServiceParamsType()
  {
    return new LookupServiceParamsType();
  }

  public LicensingReportSampleType createLicensingReportSampleType()
  {
    return new LicensingReportSampleType();
  }

  public HostObjectRefType createHostObjectRefType()
  {
    return new HostObjectRefType();
  }

  public BlockingTaskOperationParamsType createBlockingTaskOperationParamsType()
  {
    return new BlockingTaskOperationParamsType();
  }

  public AdminApiDefinitionsType createAdminApiDefinitionsType()
  {
    return new AdminApiDefinitionsType();
  }

  public ServerType createServerType()
  {
    return new ServerType();
  }

  public VersionsType createVersionsType()
  {
    return new VersionsType();
  }

  public LdapGroupAttributesType createLdapGroupAttributesType()
  {
    return new LdapGroupAttributesType();
  }

  public BlockingTaskType createBlockingTaskType()
  {
    return new BlockingTaskType();
  }

  public VirtualMachineMetrics createVirtualMachineMetrics()
  {
    return new VirtualMachineMetrics();
  }

  public ImportVmAsVAppTemplateParamsType createImportVmAsVAppTemplateParamsType()
  {
    return new ImportVmAsVAppTemplateParamsType();
  }

  public BlockingTaskSettingsType createBlockingTaskSettingsType()
  {
    return new BlockingTaskSettingsType();
  }

  public RightsType createRightsType()
  {
    return new RightsType();
  }

  public LicensingReportListType createLicensingReportListType()
  {
    return new LicensingReportListType();
  }

  public LicensingReportType createLicensingReportType()
  {
    return new LicensingReportType();
  }

  public VMWExternalNetworkType createVMWExternalNetworkType()
  {
    return new VMWExternalNetworkType();
  }

  public VMWExternalNetworkReferencesType createVMWExternalNetworkReferencesType()
  {
    return new VMWExternalNetworkReferencesType();
  }

  public VimObjectRefType createVimObjectRefType()
  {
    return new VimObjectRefType();
  }

  public LookupServiceSettingsType createLookupServiceSettingsType()
  {
    return new LookupServiceSettingsType();
  }

  public VMWExtensionType createVMWExtensionType()
  {
    return new VMWExtensionType();
  }

  public ImportVmAsVAppParamsType createImportVmAsVAppParamsType()
  {
    return new ImportVmAsVAppParamsType();
  }

  public ServiceResourceType createServiceResourceType()
  {
    return new ServiceResourceType();
  }

  public PrepareHostParamsType createPrepareHostParamsType()
  {
    return new PrepareHostParamsType();
  }

  public VmObjectRefsListType createVmObjectRefsListType()
  {
    return new VmObjectRefsListType();
  }

  public PortGroupPoolType createPortGroupPoolType()
  {
    return new PortGroupPoolType();
  }

  public BundleUploadSocketType createBundleUploadSocketType()
  {
    return new BundleUploadSocketType();
  }

  public LicenseMetricsInfoType createLicenseMetricsInfoType()
  {
    return new LicenseMetricsInfoType();
  }

  public ResourcePoolListType createResourcePoolListType()
  {
    return new ResourcePoolListType();
  }

  public LicenseType createLicenseType()
  {
    return new LicenseType();
  }

  public ResourceClassActionsType createResourceClassActionsType()
  {
    return new ResourceClassActionsType();
  }

  public EntityRightsType createEntityRightsType()
  {
    return new EntityRightsType();
  }

  public NotificationType createNotificationType()
  {
    return new NotificationType();
  }

  public StrandedItemVimObjectType createStrandedItemVimObjectType()
  {
    return new StrandedItemVimObjectType();
  }

  public EntityReferencesType createEntityReferencesType()
  {
    return new EntityReferencesType();
  }

  public VMWProviderVdcParamsType createVMWProviderVdcParamsType()
  {
    return new VMWProviderVdcParamsType();
  }

  public RegisterVimServerParamsType createRegisterVimServerParamsType()
  {
    return new RegisterVimServerParamsType();
  }

  public AuthorizationCheckResponseType createAuthorizationCheckResponseType()
  {
    return new AuthorizationCheckResponseType();
  }

  public VMWNetworkPoolReferencesType createVMWNetworkPoolReferencesType()
  {
    return new VMWNetworkPoolReferencesType();
  }

  public VMWProviderVdcResourcePoolType createVMWProviderVdcResourcePoolType()
  {
    return new VMWProviderVdcResourcePoolType();
  }

  public ExtensionServicesType createExtensionServicesType()
  {
    return new ExtensionServicesType();
  }

  public DatastoreType createDatastoreType()
  {
    return new DatastoreType();
  }

  public ResourcePoolType createResourcePoolType()
  {
    return new ResourcePoolType();
  }

  public HostObjectRefsType createHostObjectRefsType()
  {
    return new HostObjectRefsType();
  }

  public FencePoolType createFencePoolType()
  {
    return new FencePoolType();
  }

  public MigrateParamsType createMigrateParamsType()
  {
    return new MigrateParamsType();
  }

  public VmObjectRefType createVmObjectRefType()
  {
    return new VmObjectRefType();
  }

  public EmailSettingsType createEmailSettingsType()
  {
    return new EmailSettingsType();
  }

  public LicensingVirtualMachineType createLicensingVirtualMachineType()
  {
    return new LicensingVirtualMachineType();
  }

  public AuthorizationCheckParamsType createAuthorizationCheckParamsType()
  {
    return new AuthorizationCheckParamsType();
  }

  public ResourceClassesType createResourceClassesType()
  {
    return new ResourceClassesType();
  }

  public VMWProviderVdcType createVMWProviderVdcType()
  {
    return new VMWProviderVdcType();
  }

  public ApiFilterType createApiFilterType()
  {
    return new ApiFilterType();
  }

  public VMWProviderVdcResourcePoolSetType createVMWProviderVdcResourcePoolSetType()
  {
    return new VMWProviderVdcResourcePoolSetType();
  }

  public VMWStorageProfilesType createVMWStorageProfilesType()
  {
    return new VMWStorageProfilesType();
  }

  public AdminServiceLinkType createAdminServiceLinkType()
  {
    return new AdminServiceLinkType();
  }

  public UpdateProviderVdcStorageProfilesParamsType createUpdateProviderVdcStorageProfilesParamsType()
  {
    return new UpdateProviderVdcStorageProfilesParamsType();
  }

  public RightRefsType createRightRefsType()
  {
    return new RightRefsType();
  }

  public SystemPasswordPolicySettingsType createSystemPasswordPolicySettingsType()
  {
    return new SystemPasswordPolicySettingsType();
  }

  public AclRuleType createAclRuleType()
  {
    return new AclRuleType();
  }

  public HostType createHostType()
  {
    return new HostType();
  }

  public LdapUserAttributesType createLdapUserAttributesType()
  {
    return new LdapUserAttributesType();
  }

  public LicensingManagedServerType createLicensingManagedServerType()
  {
    return new LicensingManagedServerType();
  }

  public VcTrustStoreUploadSocketType createVcTrustStoreUploadSocketType()
  {
    return new VcTrustStoreUploadSocketType();
  }

  public NotificationsSettingsType createNotificationsSettingsType()
  {
    return new NotificationsSettingsType();
  }

  public ManagedServerMetrics createManagedServerMetrics()
  {
    return new ManagedServerMetrics();
  }

  public VimObjectRefsType createVimObjectRefsType()
  {
    return new VimObjectRefsType();
  }

  public ResourceClassType createResourceClassType()
  {
    return new ResourceClassType();
  }

  public VdsContextType createVdsContextType()
  {
    return new VdsContextType();
  }

  public NumericRangeType createNumericRangeType()
  {
    return new NumericRangeType();
  }

  public UserEntityRightsType createUserEntityRightsType()
  {
    return new UserEntityRightsType();
  }

  public ImportMediaParamsType createImportMediaParamsType()
  {
    return new ImportMediaParamsType();
  }

  public VSphereWebClientUrlType createVSphereWebClientUrlType()
  {
    return new VSphereWebClientUrlType();
  }

  public LdapSettingsType createLdapSettingsType()
  {
    return new LdapSettingsType();
  }

  public VMWProviderVdcReferencesType createVMWProviderVdcReferencesType()
  {
    return new VMWProviderVdcReferencesType();
  }

  public AdminFileDescriptorsType createAdminFileDescriptorsType()
  {
    return new AdminFileDescriptorsType();
  }

  public AdminApiDefinitionType createAdminApiDefinitionType()
  {
    return new AdminApiDefinitionType();
  }

  public VMWNetworkPoolType createVMWNetworkPoolType()
  {
    return new VMWNetworkPoolType();
  }

  public KerberosSettingsType createKerberosSettingsType()
  {
    return new KerberosSettingsType();
  }

  public UpdateResourcePoolSetParamsType createUpdateResourcePoolSetParamsType()
  {
    return new UpdateResourcePoolSetParamsType();
  }

  public VmVimInfoType createVmVimInfoType()
  {
    return new VmVimInfoType();
  }

  public VlanPoolType createVlanPoolType()
  {
    return new VlanPoolType();
  }

  public SystemSettingsType createSystemSettingsType()
  {
    return new SystemSettingsType();
  }

  public ShieldManagerType createShieldManagerType()
  {
    return new ShieldManagerType();
  }

  public SmtpSettingsType createSmtpSettingsType()
  {
    return new SmtpSettingsType();
  }

  public BrandingSettingsType createBrandingSettingsType()
  {
    return new BrandingSettingsType();
  }

  public AdminServiceLinksType createAdminServiceLinksType()
  {
    return new AdminServiceLinksType();
  }

  public ResourceClassActionType createResourceClassActionType()
  {
    return new ResourceClassActionType();
  }

  public OrganizationResourcePoolSetType createOrganizationResourcePoolSetType()
  {
    return new OrganizationResourcePoolSetType();
  }

  public ServiceResourcesType createServiceResourcesType()
  {
    return new ServiceResourcesType();
  }

  public StrandedItemType createStrandedItemType()
  {
    return new StrandedItemType();
  }

  public AdminFileDescriptorType createAdminFileDescriptorType()
  {
    return new AdminFileDescriptorType();
  }

  public VMWHostReferencesType createVMWHostReferencesType()
  {
    return new VMWHostReferencesType();
  }

  public BundleUploadParamsType createBundleUploadParamsType()
  {
    return new BundleUploadParamsType();
  }

  public VMWProviderVdcStorageProfileType createVMWProviderVdcStorageProfileType()
  {
    return new VMWProviderVdcStorageProfileType();
  }

  public ImportVmIntoExistingVAppParamsType createImportVmIntoExistingVAppParamsType()
  {
    return new ImportVmIntoExistingVAppParamsType();
  }

  public AmqpSettingsType createAmqpSettingsType()
  {
    return new AmqpSettingsType();
  }

  public VxlanPoolType createVxlanPoolType()
  {
    return new VxlanPoolType();
  }

  public AmqpSettingsTestType createAmqpSettingsTestType()
  {
    return new AmqpSettingsTestType();
  }

  public BlockingTaskUpdateProgressParamsType createBlockingTaskUpdateProgressParamsType()
  {
    return new BlockingTaskUpdateProgressParamsType();
  }

  public VimObjectRefListType createVimObjectRefListType()
  {
    return new VimObjectRefListType();
  }

  public AdminServiceType createAdminServiceType()
  {
    return new AdminServiceType();
  }

  public VcTrustStoreUpdateParamsType createVcTrustStoreUpdateParamsType()
  {
    return new VcTrustStoreUpdateParamsType();
  }

  public VMWStorageProfileType createVMWStorageProfileType()
  {
    return new VMWStorageProfileType();
  }

  public GeneralSettingsType createGeneralSettingsType()
  {
    return new GeneralSettingsType();
  }

  public VMWVimServerReferencesType createVMWVimServerReferencesType()
  {
    return new VMWVimServerReferencesType();
  }

  public VimServerType createVimServerType()
  {
    return new VimServerType();
  }

  public ProviderVdcMergeParamsType createProviderVdcMergeParamsType()
  {
    return new ProviderVdcMergeParamsType();
  }

  public ApiFiltersType createApiFiltersType()
  {
    return new ApiFiltersType();
  }

  public AclAccessType createAclAccessType()
  {
    return new AclAccessType();
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BlockingTaskSettings")
  public JAXBElement<BlockingTaskSettingsType> createBlockingTaskSettings(BlockingTaskSettingsType value)
  {
    return new JAXBElement(_BlockingTaskSettings_QNAME, BlockingTaskSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="Datastore")
  public JAXBElement<DatastoreType> createDatastore(DatastoreType value)
  {
    return new JAXBElement(_Datastore_QNAME, DatastoreType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWExtension")
  public JAXBElement<VMWExtensionType> createVMWExtension(VMWExtensionType value)
  {
    return new JAXBElement(_VMWExtension_QNAME, VMWExtensionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="LicensingReport")
  public JAXBElement<LicensingReportType> createLicensingReport(LicensingReportType value)
  {
    return new JAXBElement(_LicensingReport_QNAME, LicensingReportType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BlockingTaskOperationParams")
  public JAXBElement<BlockingTaskOperationParamsType> createBlockingTaskOperationParams(BlockingTaskOperationParamsType value)
  {
    return new JAXBElement(_BlockingTaskOperationParams_QNAME, BlockingTaskOperationParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="DatastoreReferences", substitutionHeadNamespace="http://www.vmware.com/vcloud/v1.5", substitutionHeadName="References")
  public JAXBElement<ReferencesType> createDatastoreReferences(ReferencesType value)
  {
    return new JAXBElement(_DatastoreReferences_QNAME, ReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="LookupServiceParams")
  public JAXBElement<LookupServiceParamsType> createLookupServiceParams(LookupServiceParamsType value)
  {
    return new JAXBElement(_LookupServiceParams_QNAME, LookupServiceParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="Sample")
  public JAXBElement<LicensingReportSampleType> createSample(LicensingReportSampleType value)
  {
    return new JAXBElement(_Sample_QNAME, LicensingReportSampleType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="StrandedItem")
  public JAXBElement<StrandedItemType> createStrandedItem(StrandedItemType value)
  {
    return new JAXBElement(_StrandedItem_QNAME, StrandedItemType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="Notification")
  public JAXBElement<NotificationType> createNotification(NotificationType value)
  {
    return new JAXBElement(_Notification_QNAME, NotificationType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VimObjectRefList")
  public JAXBElement<VimObjectRefListType> createVimObjectRefList(VimObjectRefListType value)
  {
    return new JAXBElement(_VimObjectRefList_QNAME, VimObjectRefListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BlockingTask")
  public JAXBElement<BlockingTaskType> createBlockingTask(BlockingTaskType value)
  {
    return new JAXBElement(_BlockingTask_QNAME, BlockingTaskType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="MigrateParams")
  public JAXBElement<MigrateParamsType> createMigrateParams(MigrateParamsType value)
  {
    return new JAXBElement(_MigrateParams_QNAME, MigrateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ShieldManager")
  public JAXBElement<ShieldManagerType> createShieldManager(ShieldManagerType value)
  {
    return new JAXBElement(_ShieldManager_QNAME, ShieldManagerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VSphereWebClientUrl")
  public JAXBElement<VSphereWebClientUrlType> createVSphereWebClientUrl(VSphereWebClientUrlType value)
  {
    return new JAXBElement(_VSphereWebClientUrl_QNAME, VSphereWebClientUrlType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ServiceLinks")
  public JAXBElement<AdminServiceLinksType> createServiceLinks(AdminServiceLinksType value)
  {
    return new JAXBElement(_ServiceLinks_QNAME, AdminServiceLinksType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="AmqpSettingsTest")
  public JAXBElement<AmqpSettingsTestType> createAmqpSettingsTest(AmqpSettingsTestType value)
  {
    return new JAXBElement(_AmqpSettingsTest_QNAME, AmqpSettingsTestType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ProviderVdcMergeParams")
  public JAXBElement<ProviderVdcMergeParamsType> createProviderVdcMergeParams(ProviderVdcMergeParamsType value)
  {
    return new JAXBElement(_ProviderVdcMergeParams_QNAME, ProviderVdcMergeParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ImportVmIntoExistingVAppParams")
  public JAXBElement<ImportVmIntoExistingVAppParamsType> createImportVmIntoExistingVAppParams(ImportVmIntoExistingVAppParamsType value)
  {
    return new JAXBElement(_ImportVmIntoExistingVAppParams_QNAME, ImportVmIntoExistingVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ApiDefinition")
  public JAXBElement<AdminApiDefinitionType> createApiDefinition(AdminApiDefinitionType value)
  {
    return new JAXBElement(_ApiDefinition_QNAME, AdminApiDefinitionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWExternalNetwork")
  public JAXBElement<VMWExternalNetworkType> createVMWExternalNetwork(VMWExternalNetworkType value)
  {
    return new JAXBElement(_VMWExternalNetwork_QNAME, VMWExternalNetworkType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="UserEntityRights")
  public JAXBElement<UserEntityRightsType> createUserEntityRights(UserEntityRightsType value)
  {
    return new JAXBElement(_UserEntityRights_QNAME, UserEntityRightsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ServiceResource")
  public JAXBElement<ServiceResourceType> createServiceResource(ServiceResourceType value)
  {
    return new JAXBElement(_ServiceResource_QNAME, ServiceResourceType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BlockingTaskOperations")
  public JAXBElement<TaskOperationListType> createBlockingTaskOperations(TaskOperationListType value)
  {
    return new JAXBElement(_BlockingTaskOperations_QNAME, TaskOperationListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="AclRule")
  public JAXBElement<AclRuleType> createAclRule(AclRuleType value)
  {
    return new JAXBElement(_AclRule_QNAME, AclRuleType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWVimServerReferences")
  public JAXBElement<VMWVimServerReferencesType> createVMWVimServerReferences(VMWVimServerReferencesType value)
  {
    return new JAXBElement(_VMWVimServerReferences_QNAME, VMWVimServerReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ApiDefinitions")
  public JAXBElement<AdminApiDefinitionsType> createApiDefinitions(AdminApiDefinitionsType value)
  {
    return new JAXBElement(_ApiDefinitions_QNAME, AdminApiDefinitionsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWStorageProfile")
  public JAXBElement<VMWStorageProfileType> createVMWStorageProfile(VMWStorageProfileType value)
  {
    return new JAXBElement(_VMWStorageProfile_QNAME, VMWStorageProfileType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="KerberosSettings")
  public JAXBElement<KerberosSettingsType> createKerberosSettings(KerberosSettingsType value)
  {
    return new JAXBElement(_KerberosSettings_QNAME, KerberosSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ApiFilters")
  public JAXBElement<ApiFiltersType> createApiFilters(ApiFiltersType value)
  {
    return new JAXBElement(_ApiFilters_QNAME, ApiFiltersType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="Host")
  public JAXBElement<HostType> createHost(HostType value)
  {
    return new JAXBElement(_Host_QNAME, HostType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="LicensingReports")
  public JAXBElement<LicensingReportListType> createLicensingReports(LicensingReportListType value)
  {
    return new JAXBElement(_LicensingReports_QNAME, LicensingReportListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ManagedServer")
  public JAXBElement<LicensingManagedServerType> createManagedServer(LicensingManagedServerType value)
  {
    return new JAXBElement(_ManagedServer_QNAME, LicensingManagedServerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="EntityReferences")
  public JAXBElement<EntityReferencesType> createEntityReferences(EntityReferencesType value)
  {
    return new JAXBElement(_EntityReferences_QNAME, EntityReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="SystemPasswordPolicySettings")
  public JAXBElement<SystemPasswordPolicySettingsType> createSystemPasswordPolicySettings(SystemPasswordPolicySettingsType value)
  {
    return new JAXBElement(_SystemPasswordPolicySettings_QNAME, SystemPasswordPolicySettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BlockingTaskReferences", substitutionHeadNamespace="http://www.vmware.com/vcloud/v1.5", substitutionHeadName="References")
  public JAXBElement<ReferencesType> createBlockingTaskReferences(ReferencesType value)
  {
    return new JAXBElement(_BlockingTaskReferences_QNAME, ReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VcTrustStoreUpdateParams")
  public JAXBElement<VcTrustStoreUpdateParamsType> createVcTrustStoreUpdateParams(VcTrustStoreUpdateParamsType value)
  {
    return new JAXBElement(_VcTrustStoreUpdateParams_QNAME, VcTrustStoreUpdateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ApiFilter")
  public JAXBElement<ApiFilterType> createApiFilter(ApiFilterType value)
  {
    return new JAXBElement(_ApiFilter_QNAME, ApiFilterType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="OrganizationResourcePoolSet")
  public JAXBElement<OrganizationResourcePoolSetType> createOrganizationResourcePoolSet(OrganizationResourcePoolSetType value)
  {
    return new JAXBElement(_OrganizationResourcePoolSet_QNAME, OrganizationResourcePoolSetType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="UpdateProviderVdcStorageProfiles")
  public JAXBElement<UpdateProviderVdcStorageProfilesParamsType> createUpdateProviderVdcStorageProfiles(UpdateProviderVdcStorageProfilesParamsType value)
  {
    return new JAXBElement(_UpdateProviderVdcStorageProfiles_QNAME, UpdateProviderVdcStorageProfilesParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="GeneralSettings")
  public JAXBElement<GeneralSettingsType> createGeneralSettings(GeneralSettingsType value)
  {
    return new JAXBElement(_GeneralSettings_QNAME, GeneralSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="RegisterVimServerParams")
  public JAXBElement<RegisterVimServerParamsType> createRegisterVimServerParams(RegisterVimServerParamsType value)
  {
    return new JAXBElement(_RegisterVimServerParams_QNAME, RegisterVimServerParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="AmqpSettings")
  public JAXBElement<AmqpSettingsType> createAmqpSettings(AmqpSettingsType value)
  {
    return new JAXBElement(_AmqpSettings_QNAME, AmqpSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="NotificationsSettings")
  public JAXBElement<NotificationsSettingsType> createNotificationsSettings(NotificationsSettingsType value)
  {
    return new JAXBElement(_NotificationsSettings_QNAME, NotificationsSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="SystemSettings")
  public JAXBElement<SystemSettingsType> createSystemSettings(SystemSettingsType value)
  {
    return new JAXBElement(_SystemSettings_QNAME, SystemSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="EmailSettings")
  public JAXBElement<EmailSettingsType> createEmailSettings(EmailSettingsType value)
  {
    return new JAXBElement(_EmailSettings_QNAME, EmailSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWExternalNetworkReferences")
  public JAXBElement<VMWExternalNetworkReferencesType> createVMWExternalNetworkReferences(VMWExternalNetworkReferencesType value)
  {
    return new JAXBElement(_VMWExternalNetworkReferences_QNAME, VMWExternalNetworkReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWNetworkPool")
  public JAXBElement<VMWNetworkPoolType> createVMWNetworkPool(VMWNetworkPoolType value)
  {
    return new JAXBElement(_VMWNetworkPool_QNAME, VMWNetworkPoolType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWProviderVdc")
  public JAXBElement<VMWProviderVdcType> createVMWProviderVdc(VMWProviderVdcType value)
  {
    return new JAXBElement(_VMWProviderVdc_QNAME, VMWProviderVdcType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="AuthorizationCheckParams")
  public JAXBElement<AuthorizationCheckParamsType> createAuthorizationCheckParams(AuthorizationCheckParamsType value)
  {
    return new JAXBElement(_AuthorizationCheckParams_QNAME, AuthorizationCheckParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWHostReferences")
  public JAXBElement<VMWHostReferencesType> createVMWHostReferences(VMWHostReferencesType value)
  {
    return new JAXBElement(_VMWHostReferences_QNAME, VMWHostReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="LdapSettings")
  public JAXBElement<LdapSettingsType> createLdapSettings(LdapSettingsType value)
  {
    return new JAXBElement(_LdapSettings_QNAME, LdapSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="UpdateResourcePoolSetParams")
  public JAXBElement<UpdateResourcePoolSetParamsType> createUpdateResourcePoolSetParams(UpdateResourcePoolSetParamsType value)
  {
    return new JAXBElement(_UpdateResourcePoolSetParams_QNAME, UpdateResourcePoolSetParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="License")
  public JAXBElement<LicenseType> createLicense(LicenseType value)
  {
    return new JAXBElement(_License_QNAME, LicenseType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BrandingSettings")
  public JAXBElement<BrandingSettingsType> createBrandingSettings(BrandingSettingsType value)
  {
    return new JAXBElement(_BrandingSettings_QNAME, BrandingSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="UpdateRightsParams")
  public JAXBElement<UpdateRightsParamsType> createUpdateRightsParams(UpdateRightsParamsType value)
  {
    return new JAXBElement(_UpdateRightsParams_QNAME, UpdateRightsParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BundleUploadParams")
  public JAXBElement<BundleUploadParamsType> createBundleUploadParams(BundleUploadParamsType value)
  {
    return new JAXBElement(_BundleUploadParams_QNAME, BundleUploadParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="PrepareHostParams")
  public JAXBElement<PrepareHostParamsType> createPrepareHostParams(PrepareHostParamsType value)
  {
    return new JAXBElement(_PrepareHostParams_QNAME, PrepareHostParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWProviderVdcStorageProfile")
  public JAXBElement<VMWProviderVdcStorageProfileType> createVMWProviderVdcStorageProfile(VMWProviderVdcStorageProfileType value)
  {
    return new JAXBElement(_VMWProviderVdcStorageProfile_QNAME, VMWProviderVdcStorageProfileType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="Service")
  public JAXBElement<AdminServiceType> createService(AdminServiceType value)
  {
    return new JAXBElement(_Service_QNAME, AdminServiceType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="RightRefs")
  public JAXBElement<RightRefsType> createRightRefs(RightRefsType value)
  {
    return new JAXBElement(_RightRefs_QNAME, RightRefsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ImportVmAsVAppTemplateParams")
  public JAXBElement<ImportVmAsVAppTemplateParamsType> createImportVmAsVAppTemplateParams(ImportVmAsVAppTemplateParamsType value)
  {
    return new JAXBElement(_ImportVmAsVAppTemplateParams_QNAME, ImportVmAsVAppTemplateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWNetworkPoolReferences")
  public JAXBElement<VMWNetworkPoolReferencesType> createVMWNetworkPoolReferences(VMWNetworkPoolReferencesType value)
  {
    return new JAXBElement(_VMWNetworkPoolReferences_QNAME, VMWNetworkPoolReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWProviderVdcReferences")
  public JAXBElement<VMWProviderVdcReferencesType> createVMWProviderVdcReferences(VMWProviderVdcReferencesType value)
  {
    return new JAXBElement(_VMWProviderVdcReferences_QNAME, VMWProviderVdcReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BlockingTaskUpdateProgressParams")
  public JAXBElement<BlockingTaskUpdateProgressParamsType> createBlockingTaskUpdateProgressParams(BlockingTaskUpdateProgressParamsType value)
  {
    return new JAXBElement(_BlockingTaskUpdateProgressParams_QNAME, BlockingTaskUpdateProgressParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWProviderVdcResourcePoolSet")
  public JAXBElement<VMWProviderVdcResourcePoolSetType> createVMWProviderVdcResourcePoolSet(VMWProviderVdcResourcePoolSetType value)
  {
    return new JAXBElement(_VMWProviderVdcResourcePoolSet_QNAME, VMWProviderVdcResourcePoolSetType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWStorageProfiles")
  public JAXBElement<VMWStorageProfilesType> createVMWStorageProfiles(VMWStorageProfilesType value)
  {
    return new JAXBElement(_VMWStorageProfiles_QNAME, VMWStorageProfilesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="BundleUploadSocket")
  public JAXBElement<BundleUploadSocketType> createBundleUploadSocket(BundleUploadSocketType value)
  {
    return new JAXBElement(_BundleUploadSocket_QNAME, BundleUploadSocketType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VendorServices")
  public JAXBElement<VendorServicesType> createVendorServices(VendorServicesType value)
  {
    return new JAXBElement(_VendorServices_QNAME, VendorServicesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ServiceLink")
  public JAXBElement<AdminServiceLinkType> createServiceLink(AdminServiceLinkType value)
  {
    return new JAXBElement(_ServiceLink_QNAME, AdminServiceLinkType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VcTrustStoreUploadSocket")
  public JAXBElement<VcTrustStoreUploadSocketType> createVcTrustStoreUploadSocket(VcTrustStoreUploadSocketType value)
  {
    return new JAXBElement(_VcTrustStoreUploadSocket_QNAME, VcTrustStoreUploadSocketType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ResourceClassAction")
  public JAXBElement<ResourceClassActionType> createResourceClassAction(ResourceClassActionType value)
  {
    return new JAXBElement(_ResourceClassAction_QNAME, ResourceClassActionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ResourcePoolList")
  public JAXBElement<ResourcePoolListType> createResourcePoolList(ResourcePoolListType value)
  {
    return new JAXBElement(_ResourcePoolList_QNAME, ResourcePoolListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ResourceClass")
  public JAXBElement<ResourceClassType> createResourceClass(ResourceClassType value)
  {
    return new JAXBElement(_ResourceClass_QNAME, ResourceClassType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VmObjectRefsList")
  public JAXBElement<VmObjectRefsListType> createVmObjectRefsList(VmObjectRefsListType value)
  {
    return new JAXBElement(_VmObjectRefsList_QNAME, VmObjectRefsListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ImportVmAsVAppParams")
  public JAXBElement<ImportVmAsVAppParamsType> createImportVmAsVAppParams(ImportVmAsVAppParamsType value)
  {
    return new JAXBElement(_ImportVmAsVAppParams_QNAME, ImportVmAsVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VMWProviderVdcParams")
  public JAXBElement<VMWProviderVdcParamsType> createVMWProviderVdcParams(VMWProviderVdcParamsType value)
  {
    return new JAXBElement(_VMWProviderVdcParams_QNAME, VMWProviderVdcParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VimObjectRef")
  public JAXBElement<VimObjectRefType> createVimObjectRef(VimObjectRefType value)
  {
    return new JAXBElement(_VimObjectRef_QNAME, VimObjectRefType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="FileDescriptor")
  public JAXBElement<AdminFileDescriptorType> createFileDescriptor(AdminFileDescriptorType value)
  {
    return new JAXBElement(_FileDescriptor_QNAME, AdminFileDescriptorType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VirtualMachine")
  public JAXBElement<LicensingVirtualMachineType> createVirtualMachine(LicensingVirtualMachineType value)
  {
    return new JAXBElement(_VirtualMachine_QNAME, LicensingVirtualMachineType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VimServer")
  public JAXBElement<VimServerType> createVimServer(VimServerType value)
  {
    return new JAXBElement(_VimServer_QNAME, VimServerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="AuthorizationCheckResponse")
  public JAXBElement<AuthorizationCheckResponseType> createAuthorizationCheckResponse(AuthorizationCheckResponseType value)
  {
    return new JAXBElement(_AuthorizationCheckResponse_QNAME, AuthorizationCheckResponseType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="VmVimInfo")
  public JAXBElement<VmVimInfoType> createVmVimInfo(VmVimInfoType value)
  {
    return new JAXBElement(_VmVimInfo_QNAME, VmVimInfoType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="LookupServiceSettings")
  public JAXBElement<LookupServiceSettingsType> createLookupServiceSettings(LookupServiceSettingsType value)
  {
    return new JAXBElement(_LookupServiceSettings_QNAME, LookupServiceSettingsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ImportMediaParams")
  public JAXBElement<ImportMediaParamsType> createImportMediaParams(ImportMediaParamsType value)
  {
    return new JAXBElement(_ImportMediaParams_QNAME, ImportMediaParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1.5", name="ExtensionServices")
  public JAXBElement<ExtensionServicesType> createExtensionServices(ExtensionServicesType value)
  {
    return new JAXBElement(_ExtensionServices_QNAME, ExtensionServicesType.class, null, value);
  }
}