package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ParamsType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UpdateResourcePoolSetParamsType", propOrder={"addItem", "deleteItem"})
public class UpdateResourcePoolSetParamsType extends ParamsType
{

  @XmlElement(name="AddItem")
  protected List<VimObjectRefType> addItem;

  @XmlElement(name="DeleteItem")
  protected List<ReferenceType> deleteItem;

  public List<VimObjectRefType> getAddItem()
  {
    if (this.addItem == null) {
      this.addItem = new ArrayList();
    }
    return this.addItem;
  }

  public List<ReferenceType> getDeleteItem()
  {
    if (this.deleteItem == null) {
      this.deleteItem = new ArrayList();
    }
    return this.deleteItem;
  }
}