package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.RightType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UpdateRightsParamsType", propOrder={"addRight", "removeRight"})
public class UpdateRightsParamsType
{

  @XmlElement(name="AddRight")
  protected List<RightType> addRight;

  @XmlElement(name="RemoveRight")
  protected List<String> removeRight;

  public List<RightType> getAddRight()
  {
    if (this.addRight == null) {
      this.addRight = new ArrayList();
    }
    return this.addRight;
  }

  public List<String> getRemoveRight()
  {
    if (this.removeRight == null) {
      this.removeRight = new ArrayList();
    }
    return this.removeRight;
  }
}