package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWProviderVdcResourcePoolType", propOrder={"resourcePoolVimObjectRef", "resourcePoolRef", "enabled"})
public class VMWProviderVdcResourcePoolType extends ResourceType
{

  @XmlElement(name="ResourcePoolVimObjectRef", required=true)
  protected VimObjectRefType resourcePoolVimObjectRef;

  @XmlElement(name="ResourcePoolRef", required=true)
  protected ReferenceType resourcePoolRef;

  @XmlElement(name="Enabled")
  protected boolean enabled;

  @XmlAttribute
  protected Boolean primary;

  public VimObjectRefType getResourcePoolVimObjectRef()
  {
    return this.resourcePoolVimObjectRef;
  }

  public void setResourcePoolVimObjectRef(VimObjectRefType value)
  {
    this.resourcePoolVimObjectRef = value;
  }

  public ReferenceType getResourcePoolRef()
  {
    return this.resourcePoolRef;
  }

  public void setResourcePoolRef(ReferenceType value)
  {
    this.resourcePoolRef = value;
  }

  public boolean isEnabled()
  {
    return this.enabled;
  }

  public void setEnabled(boolean value)
  {
    this.enabled = value;
  }

  public Boolean isPrimary()
  {
    return this.primary;
  }

  public void setPrimary(Boolean value)
  {
    this.primary = value;
  }
}