package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AnnotationSection_Type", propOrder={"annotation", "any"})
public class AnnotationSectionType extends SectionType
{

  @XmlElement(name="Annotation", required=true)
  protected MsgType annotation;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public MsgType getAnnotation()
  {
    return this.annotation;
  }

  public void setAnnotation(MsgType value)
  {
    this.annotation = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}