package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.Duration;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="cimDateTime", namespace="http://schemas.dmtf.org/wbem/wscim/1/common", propOrder={"cimDateTime", "interval", "date", "time", "datetime"})
public class CimDateTime
{

  @XmlElementRef(name="CIM_DateTime", namespace="http://schemas.dmtf.org/wbem/wscim/1/common", type=JAXBElement.class)
  protected JAXBElement<String> cimDateTime;

  @XmlElement(name="Interval", namespace="http://schemas.dmtf.org/wbem/wscim/1/common")
  protected Duration interval;

  @XmlElement(name="Date", namespace="http://schemas.dmtf.org/wbem/wscim/1/common")
  protected XMLGregorianCalendar date;

  @XmlElement(name="Time", namespace="http://schemas.dmtf.org/wbem/wscim/1/common")
  protected XMLGregorianCalendar time;

  @XmlElement(name="Datetime", namespace="http://schemas.dmtf.org/wbem/wscim/1/common")
  protected XMLGregorianCalendar datetime;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public JAXBElement<String> getCIMDateTime()
  {
    return this.cimDateTime;
  }

  public void setCIMDateTime(JAXBElement<String> value)
  {
    this.cimDateTime = value;
  }

  public Duration getInterval()
  {
    return this.interval;
  }

  public void setInterval(Duration value)
  {
    this.interval = value;
  }

  public XMLGregorianCalendar getDate()
  {
    return this.date;
  }

  public void setDate(XMLGregorianCalendar value)
  {
    this.date = value;
  }

  public XMLGregorianCalendar getTime()
  {
    return this.time;
  }

  public void setTime(XMLGregorianCalendar value)
  {
    this.time = value;
  }

  public XMLGregorianCalendar getDatetime()
  {
    return this.datetime;
  }

  public void setDatetime(XMLGregorianCalendar value)
  {
    this.datetime = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}