package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AccessSettingsType", propOrder={"accessSetting"})
public class AccessSettingsType extends VCloudExtensibleType
{

  @XmlElement(name="AccessSetting", required=true)
  protected List<AccessSettingType> accessSetting;

  public List<AccessSettingType> getAccessSetting()
  {
    if (this.accessSetting == null) {
      this.accessSetting = new ArrayList();
    }
    return this.accessSetting;
  }
}