package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CapacityType", propOrder={"units", "allocated", "limit"})
public class CapacityType extends VCloudExtensibleType
{

  @XmlElement(name="Units", required=true)
  protected String units;

  @XmlElement(name="Allocated")
  protected Long allocated;

  @XmlElement(name="Limit")
  protected long limit;

  public String getUnits()
  {
    return this.units;
  }

  public void setUnits(String value)
  {
    this.units = value;
  }

  public Long getAllocated()
  {
    return this.allocated;
  }

  public void setAllocated(Long value)
  {
    this.allocated = value;
  }

  public long getLimit()
  {
    return this.limit;
  }

  public void setLimit(long value)
  {
    this.limit = value;
  }
}