package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ComposeVAppParamsType", propOrder={"item", "allEULAsAccepted"})
public class ComposeVAppParamsType extends VAppCreationParamsType
{

  @XmlElement(name="Item")
  protected List<CompositionItemParamType> item;

  @XmlElement(name="AllEULAsAccepted")
  protected Boolean allEULAsAccepted;

  @XmlAttribute
  protected Boolean linkedClone;

  public List<CompositionItemParamType> getItem()
  {
    if (this.item == null) {
      this.item = new ArrayList();
    }
    return this.item;
  }

  public Boolean isAllEULAsAccepted()
  {
    return this.allEULAsAccepted;
  }

  public void setAllEULAsAccepted(Boolean value)
  {
    this.allEULAsAccepted = value;
  }

  public Boolean isLinkedClone()
  {
    return this.linkedClone;
  }

  public void setLinkedClone(Boolean value)
  {
    this.linkedClone = value;
  }
}