package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ComputeCapacityType", propOrder={"cpu", "memory"})
public class ComputeCapacityType extends VCloudExtensibleType
{

  @XmlElement(name="Cpu", required=true)
  protected CapacityWithUsageType cpu;

  @XmlElement(name="Memory", required=true)
  protected CapacityWithUsageType memory;

  public CapacityWithUsageType getCpu()
  {
    return this.cpu;
  }

  public void setCpu(CapacityWithUsageType value)
  {
    this.cpu = value;
  }

  public CapacityWithUsageType getMemory()
  {
    return this.memory;
  }

  public void setMemory(CapacityWithUsageType value)
  {
    this.memory = value;
  }
}