package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="FirewallRuleType", propOrder={"isEnabled", "description", "policy", "protocols", "port", "destinationIp"})
public class FirewallRuleType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="Description")
  protected String description;

  @XmlElement(name="Policy")
  protected FirewallPolicyType policy;

  @XmlElement(name="Protocols")
  protected FirewallRuleProtocols protocols;

  @XmlElement(name="Port")
  protected int port;

  @XmlElement(name="DestinationIp", required=true)
  protected String destinationIp;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public FirewallPolicyType getPolicy()
  {
    return this.policy;
  }

  public void setPolicy(FirewallPolicyType value)
  {
    this.policy = value;
  }

  public FirewallRuleProtocols getProtocols()
  {
    return this.protocols;
  }

  public void setProtocols(FirewallRuleProtocols value)
  {
    this.protocols = value;
  }

  public int getPort()
  {
    return this.port;
  }

  public void setPort(int value)
  {
    this.port = value;
  }

  public String getDestinationIp()
  {
    return this.destinationIp;
  }

  public void setDestinationIp(String value)
  {
    this.destinationIp = value;
  }
}