package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="MediaType")
public class MediaType extends ResourceEntityType
{

  @XmlAttribute(required=true)
  protected ImageType imageType;

  @XmlAttribute(required=true)
  protected long size;

  public ImageType getImageType()
  {
    return this.imageType;
  }

  public void setImageType(ImageType value)
  {
    this.imageType = value;
  }

  public long getSize()
  {
    return this.size;
  }

  public void setSize(long value)
  {
    this.size = value;
  }
}