package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum NatPolicyType
{
  ALLOW_TRAFFIC("allowTraffic"), 

  ALLOW_TRAFFIC_IN("allowTrafficIn");

  private final String value;

  private NatPolicyType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static NatPolicyType fromValue(String v) {
    for (NatPolicyType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}