package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProviderVdcReferencesType", propOrder={"providerVdcReference"})
public class ProviderVdcReferencesType extends VCloudExtensibleType
{

  @XmlElement(name="ProviderVdcReference")
  protected List<ReferenceType> providerVdcReference;

  public List<ReferenceType> getProviderVdcReference()
  {
    if (this.providerVdcReference == null) {
      this.providerVdcReference = new ArrayList();
    }
    return this.providerVdcReference;
  }
}