package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LicensingReportSampleType", propOrder={"managedServerMetrics", "virtualMachineMetrics"})
public class LicensingReportSampleType
{

  @XmlElement(name="ManagedServerMetrics", required=true)
  protected ManagedServerMetrics managedServerMetrics;

  @XmlElement(name="VirtualMachineMetrics", required=true)
  protected VirtualMachineMetrics virtualMachineMetrics;

  @XmlAttribute(required=true)
  protected XMLGregorianCalendar observationDate;

  public ManagedServerMetrics getManagedServerMetrics()
  {
    return this.managedServerMetrics;
  }

  public void setManagedServerMetrics(ManagedServerMetrics value)
  {
    this.managedServerMetrics = value;
  }

  public VirtualMachineMetrics getVirtualMachineMetrics()
  {
    return this.virtualMachineMetrics;
  }

  public void setVirtualMachineMetrics(VirtualMachineMetrics value)
  {
    this.virtualMachineMetrics = value;
  }

  public XMLGregorianCalendar getObservationDate()
  {
    return this.observationDate;
  }

  public void setObservationDate(XMLGregorianCalendar value)
  {
    this.observationDate = value;
  }
}