package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourcePoolListType", propOrder={"resourcePool"})
public class ResourcePoolListType extends ResourceType
{

  @XmlElement(name="ResourcePool")
  protected List<ResourcePoolType> resourcePool;

  public List<ResourcePoolType> getResourcePool()
  {
    if (this.resourcePool == null) {
      this.resourcePool = new ArrayList();
    }
    return this.resourcePool;
  }
}