package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import com.vmware.vcloud.api.rest.schema_v1_0.ReferenceType;
import com.vmware.vcloud.api.rest.schema_v1_0.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWExternalNetworkReferencesType", propOrder={"externalNetworkReference"})
public class VMWExternalNetworkReferencesType extends ResourceType
{

  @XmlElement(name="ExternalNetworkReference")
  protected List<ReferenceType> externalNetworkReference;

  public List<ReferenceType> getExternalNetworkReference()
  {
    if (this.externalNetworkReference == null) {
      this.externalNetworkReference = new ArrayList();
    }
    return this.externalNetworkReference;
  }
}