package com.vmware.vcloud.sdk.constants;

public enum BlockingTaskTimeoutActionType
{
  ABORT("abort"), 

  RESUME("resume"), 

  FAIL("fail");

  private String value;

  private BlockingTaskTimeoutActionType() {
  }

  private BlockingTaskTimeoutActionType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static BlockingTaskTimeoutActionType fromValue(String value) {
    for (BlockingTaskTimeoutActionType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}