package com.vmware.vcloud.sdk.constants;

public enum FenceModeValuesType
{
  BRIDGED("bridged"), 

  ISOLATED("isolated"), 

  NATROUTED("natRouted");

  private String value;

  private FenceModeValuesType() {
  }

  private FenceModeValuesType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static FenceModeValuesType fromValue(String value) {
    for (FenceModeValuesType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}