package com.vmware.vcloud.sdk.constants;

public enum IdentityProviderSourceType
{
  INTEGRATED("INTEGRATED"), 

  SAML("SAML");

  private String value;

  private IdentityProviderSourceType() {
  }

  private IdentityProviderSourceType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static IdentityProviderSourceType fromValue(String value) {
    for (IdentityProviderSourceType enumVal : values())
    {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}