package com.vmware.vcloud.sdk.constants;

public enum ImageType
{
  ISO("iso"), 

  FLOPPY("floppy");

  private String value;

  private ImageType() {
  }

  private ImageType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static ImageType fromValue(String value) {
    for (ImageType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}