package com.vmware.vcloud.sdk.constants;

public enum IpAddressAllocationModeType
{
  NONE("NONE"), 

  MANUAL("MANUAL"), 

  POOL("POOL"), 

  DHCP("DHCP");

  private String value;

  private IpAddressAllocationModeType() {
  }

  private IpAddressAllocationModeType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static IpAddressAllocationModeType fromValue(String value) {
    for (IpAddressAllocationModeType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}