package com.vmware.vcloud.sdk.constants;

public enum IpsecVpnEncryptionProtocolType
{
  AES("AES"), 

  AES256("AES256"), 
  TRIPLEDES("TRIPLEDES");

  private String value;

  private IpsecVpnEncryptionProtocolType() {
  }

  private IpsecVpnEncryptionProtocolType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static IpsecVpnEncryptionProtocolType fromValue(String value) {
    for (IpsecVpnEncryptionProtocolType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}