package com.vmware.vcloud.sdk.constants;

public enum NatPolicyType
{
  ALLOWTRAFFIC("allowTraffic"), 

  ALLOWTRAFFICIN("allowTrafficIn");

  private String value;

  private NatPolicyType() {
  }

  private NatPolicyType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static NatPolicyType fromValue(String value) {
    for (NatPolicyType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}