package com.vmware.vcloud.sdk.constants.query;

public enum QueryStrandedUserField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  FULLNAME("fullName"), 
  ISINSYNC("isInSync"), 
  NAME("name"), 
  NUMBEROFDEPLOYEDVMS("numberOfDeployedVMs"), 
  NUMBEROFSTOREDVMS("numberOfStoredVMs"), 

  ORG("org");

  private String value;

  private QueryStrandedUserField() {
  }
  private QueryStrandedUserField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryStrandedUserField fromValue(String value) {
    for (QueryStrandedUserField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}