package devmgr.versioned.jrpc;

public class RPCAcceptedReply
  implements XDRType, RPCMsgConstants
{
  private RPCOpaqueAuth verifier = new RPCOpaqueAuth();
  private RPCAcceptedReplyBody body = new RPCAcceptedReplyBody();

  public RPCAcceptedReply()
  {
  }

  public RPCAcceptedReply(RPCAcceptedReply paramRPCAcceptedReply)
  {
    this.verifier = paramRPCAcceptedReply.verifier;
    this.body = paramRPCAcceptedReply.body;
  }

  public RPCOpaqueAuth getVerifier()
  {
    return this.verifier;
  }

  public void setVerifier(RPCOpaqueAuth paramRPCOpaqueAuth)
  {
    this.verifier = paramRPCOpaqueAuth;
  }

  public RPCAcceptedReplyBody getBody()
  {
    return this.body;
  }

  public void setBody(RPCAcceptedReplyBody paramRPCAcceptedReplyBody)
  {
    this.body = paramRPCAcceptedReplyBody;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.verifier.xdrEncode(paramXDROutputStream);
    this.body.xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.verifier.xdrDecode(paramXDRInputStream);
    this.body.xdrDecode(paramXDRInputStream);
  }
}