package devmgr.versioned.jrpc;

public class RPCOpaqueAuth
  implements XDRType, RPCMsgConstants
{
  private RPCAuthType type = new RPCAuthType();
  private byte[] info;

  public RPCOpaqueAuth()
  {
  }

  public RPCOpaqueAuth(RPCOpaqueAuth paramRPCOpaqueAuth)
  {
    this.type = paramRPCOpaqueAuth.type;
    this.info = paramRPCOpaqueAuth.info;
  }

  public RPCAuthType getType()
  {
    return this.type;
  }

  public void setType(RPCAuthType paramRPCAuthType)
  {
    this.type = paramRPCAuthType;
  }

  public byte[] getInfo()
  {
    return this.info;
  }

  public void setInfo(byte[] paramArrayOfByte)
  {
    this.info = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.type.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.info);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.type.xdrDecode(paramXDRInputStream);
    this.info = paramXDRInputStream.getVariableOpaque();
  }
}