package devmgr.versioned.jrpc;

public class XDRdouble
  implements XDRType
{
  private double m_Value = 0.0D;

  public double getValue()
  {
    return this.m_Value;
  }

  public void setValue(double paramDouble)
  {
    this.m_Value = paramDouble;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
  {
    paramXDROutputStream.putDouble(this.m_Value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.m_Value = paramXDRInputStream.getDouble();
  }
}