package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteVolWWNChangeFailed
  implements XDRType, SYMbolAPIConstants
{
  private RemoteVolRef remoteVolume = new RemoteVolRef();

  public RemoteVolWWNChangeFailed()
  {
  }

  public RemoteVolWWNChangeFailed(RemoteVolWWNChangeFailed paramRemoteVolWWNChangeFailed)
  {
    this.remoteVolume = paramRemoteVolWWNChangeFailed.remoteVolume;
  }

  public RemoteVolRef getRemoteVolume()
  {
    return this.remoteVolume;
  }

  public void setRemoteVolume(RemoteVolRef paramRemoteVolRef)
  {
    this.remoteVolume = paramRemoteVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.remoteVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolume.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}