package org.eclipse.jdt.internal.core.util;

import org.eclipse.jdt.internal.compiler.parser.Scanner;

public class CommentRecorderScanner extends Scanner
{
  public CommentRecorderScanner(boolean tokenizeComments, boolean tokenizeWhiteSpace, boolean checkNonExternalizedStringLiterals, long sourceLevel, char[][] taskTags, char[][] taskPriorities, boolean isTaskCaseSensitive)
  {
    super(tokenizeComments, tokenizeWhiteSpace, checkNonExternalizedStringLiterals, sourceLevel, taskTags, taskPriorities, isTaskCaseSensitive);
  }

  public void recordComment(int token)
  {
    super.recordComment(token);
    if (token == 1001)
    {
      this.commentStarts[this.commentPtr] = (-this.commentStarts[this.commentPtr]);
    }
  }
}